<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Nosinventario Entity
 *
 * @property int $id
 * @property string $fecha
 * @property int $usuario
 * @property string $modelo
 * @property string $marca
 * @property string $color
 * @property string $chasis
 * @property string $cuentaaceite
 * @property string $motorfunciona
 * @property string $cajafunciona
 * @property string $chequin
 * @property string $radiotv
 * @property string $insigniatrasera
 * @property string $insigniadetalantera
 * @property string $cabeceras
 * @property string $bocina
 * @property string $aire
 * @property string $bloqueopuerta
 * @property string $tapizados
 * @property string $luces
 * @property string $espejos
 * @property string $herramientas
 * @property string $observacion
 * @property int $tablerista
 * @property int $tableristaestado
 * @property int $airista
 * @property int $airistaestado
 * @property int $mecanico
 * @property int $mecanicoestado
 * @property string $cuentaaceitecv
 * @property string $motorfuncionacv
 * @property string $cajafuncionacv
 * @property string $chequincv
 * @property string $radiotvcv
 * @property string $insigniatraseracv
 * @property string $insigniadetalanteracv
 * @property string $cabecerascv
 * @property string $bocinacv
 * @property string $airecv
 * @property string $bloqueopuertacv
 * @property string $tapizadoscv
 * @property string $lucescv
 * @property string $espejoscv
 * @property string $herramientascv
 * @property string $recibidocv
 * @property string $observacioncv
 * @property int $estadocv
 * @property int $modificarcv
 * @property int $usuariocv
 * @property string $cuentaaceitechaperia
 * @property string $motorfuncionachaperia
 * @property string $cajafuncionachaperia
 * @property string $chequinchaperia
 * @property string $radiotvchaperia
 * @property string $insigniatraserachaperia
 * @property string $insigniadetalanterachaperia
 * @property string $cabeceraschaperia
 * @property string $bocinachaperia
 * @property string $airechaperia
 * @property string $bloqueopuertachaperia
 * @property string $tapizadoschaperia
 * @property string $luceschaperia
 * @property string $espejoschaperia
 * @property string $herramientaschaperia
 * @property string $recibidochaperia
 * @property string $observacionchaperia
 * @property int $estadochaperia
 * @property int $modificarchaperia
 * @property int $usuariochaperia
 * @property string $cuentaaceiteplaya
 * @property string $motorfuncionaplaya
 * @property string $cajafuncionaplaya
 * @property string $chequinplaya
 * @property string $radiotvplaya
 * @property string $insigniatraseraplaya
 * @property string $insigniadetalanteraplaya
 * @property string $cabecerasplaya
 * @property string $bocinaplaya
 * @property string $aireplaya
 * @property string $bloqueopuertaplaya
 * @property string $tapizadosplaya
 * @property string $lucesplaya
 * @property string $espejosplaya
 * @property string $herramientasplaya
 * @property string $recibidoplaya
 * @property string $observacionplaya
 * @property int $estadoplaya
 * @property int $modificarplaya
 * @property int $usuarioplaya
 * @property string $cuentaaceiteplaya2
 * @property string $motorfuncionaplaya2
 * @property string $cajafuncionaplaya2
 * @property string $chequinplaya2
 * @property string $radiotvplaya2
 * @property string $insigniatraseraplaya2
 * @property string $insigniadetalanteraplaya2
 * @property string $cabecerasplaya2
 * @property string $bocinaplaya2
 * @property string $aireplaya2
 * @property string $bloqueopuertaplaya2
 * @property string $tapizadosplaya2
 * @property string $lucesplaya2
 * @property string $espejosplaya2
 * @property string $herramientasplaya2
 * @property string $recibidoplaya2
 * @property string $observacionplaya2
 * @property int $estadoplaya2
 * @property int $modificarplaya2
 * @property int $usuarioplaya2
 * @property string $funcionacamara
 * @property string $traellantadeportiva
 * @property string $traellantaiguales
 * @property string $funcionacamaracv
 * @property string $traellantadeportivacv
 * @property string $traellantaigualescv
 * @property string $funcionacamarachaperia
 * @property string $traellantadeportivachaperia
 * @property string $traellantaigualeschaperia
 * @property string $funcionacamaraplaya
 * @property string $traellantadeportivaplaya
 * @property string $traellantaigualesplaya
 * @property string $funcionacamaraplaya2
 * @property string $traellantadeportivaplaya2
 * @property string $traellantaigualesplaya2
 */
class Nosinventario extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id' => true,
        'fecha' => true,
        'usuario' => true,
        'modelo' => true,
        'marca' => true,
        'color' => true,
        'chasis' => true,
        'cuentaaceite' => true,
        'motorfunciona' => true,
        'cajafunciona' => true,
        'chequin' => true,
        'radiotv' => true,
        'insigniatrasera' => true,
        'insigniadetalantera' => true,
        'cabeceras' => true,
        'bocina' => true,
        'aire' => true,
        'bloqueopuerta' => true,
        'tapizados' => true,
        'luces' => true,
        'espejos' => true,
        'herramientas' => true,
        'observacion' => true,
        'tablerista' => true,
        'tableristaestado' => true,
        'airista' => true,
        'airistaestado' => true,
        'mecanico' => true,
        'mecanicoestado' => true,
        'cuentaaceitecv' => true,
        'motorfuncionacv' => true,
        'cajafuncionacv' => true,
        'chequincv' => true,
        'radiotvcv' => true,
        'insigniatraseracv' => true,
        'insigniadetalanteracv' => true,
        'cabecerascv' => true,
        'bocinacv' => true,
        'airecv' => true,
        'bloqueopuertacv' => true,
        'tapizadoscv' => true,
        'lucescv' => true,
        'espejoscv' => true,
        'herramientascv' => true,
        'recibidocv' => true,
        'observacioncv' => true,
        'estadocv' => true,
        'modificarcv' => true,
        'usuariocv' => true,
        'cuentaaceitechaperia' => true,
        'motorfuncionachaperia' => true,
        'cajafuncionachaperia' => true,
        'chequinchaperia' => true,
        'radiotvchaperia' => true,
        'insigniatraserachaperia' => true,
        'insigniadetalanterachaperia' => true,
        'cabeceraschaperia' => true,
        'bocinachaperia' => true,
        'airechaperia' => true,
        'bloqueopuertachaperia' => true,
        'tapizadoschaperia' => true,
        'luceschaperia' => true,
        'espejoschaperia' => true,
        'herramientaschaperia' => true,
        'recibidochaperia' => true,
        'observacionchaperia' => true,
        'estadochaperia' => true,
        'modificarchaperia' => true,
        'usuariochaperia' => true,
        'cuentaaceiteplaya' => true,
        'motorfuncionaplaya' => true,
        'cajafuncionaplaya' => true,
        'chequinplaya' => true,
        'radiotvplaya' => true,
        'insigniatraseraplaya' => true,
        'insigniadetalanteraplaya' => true,
        'cabecerasplaya' => true,
        'bocinaplaya' => true,
        'aireplaya' => true,
        'bloqueopuertaplaya' => true,
        'tapizadosplaya' => true,
        'lucesplaya' => true,
        'espejosplaya' => true,
        'herramientasplaya' => true,
        'recibidoplaya' => true,
        'observacionplaya' => true,
        'estadoplaya' => true,
        'modificarplaya' => true,
        'usuarioplaya' => true,
        'cuentaaceiteplaya2' => true,
        'motorfuncionaplaya2' => true,
        'cajafuncionaplaya2' => true,
        'chequinplaya2' => true,
        'radiotvplaya2' => true,
        'insigniatraseraplaya2' => true,
        'insigniadetalanteraplaya2' => true,
        'cabecerasplaya2' => true,
        'bocinaplaya2' => true,
        'aireplaya2' => true,
        'bloqueopuertaplaya2' => true,
        'tapizadosplaya2' => true,
        'lucesplaya2' => true,
        'espejosplaya2' => true,
        'herramientasplaya2' => true,
        'recibidoplaya2' => true,
        'observacionplaya2' => true,
        'estadoplaya2' => true,
        'modificarplaya2' => true,
        'usuarioplaya2' => true,
        'funcionacamara' => true,
        'traellantadeportiva' => true,
        'traellantaiguales' => true,
        'funcionacamaracv' => true,
        'traellantadeportivacv' => true,
        'traellantaigualescv' => true,
        'funcionacamarachaperia' => true,
        'traellantadeportivachaperia' => true,
        'traellantaigualeschaperia' => true,
        'funcionacamaraplaya' => true,
        'traellantadeportivaplaya' => true,
        'traellantaigualesplaya' => true,
        'funcionacamaraplaya2' => true,
        'traellantadeportivaplaya2' => true,
        'traellantaigualesplaya2' => true
    ];
}
