<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Simulador Entity
 *
 * @property int $id
 * @property string $chasis
 * @property int $producto_id
 * @property int $meses
 * @property int $moneda
 * @property float $total
 * @property float $entrega
 * @property float $saldo
 * @property int $cuota
 * @property float $montocuota
 * @property int $refuerzo
 * @property float $montorefuerzo
 * @property int $empleado_id
 * @property string $fecha
 * @property string $hora
 * @property int $tipopersona
 * @property string $ci
 * @property string $telefono
 * @property int $aleatorio
 * @property int $veces
 * @property int $vecesgerente
 * @property int $vecessergio
 * @property int $estado
 * @property int $borrado
 * @property int $confirmado
 * @property float $totalbono
 * @property int $fueradentro
 * @property int $condicion
 * @property float $efectivo
 * @property float $vehiculo
 * @property float $cambalache
 * @property float $aumentabonogerente
 *
 * @property \App\Model\Entity\Stocks $stock
 * @property \App\Model\Entity\Empleados $empleado
 */
class Simulador extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true
    ];
}
