<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Pagar_cvs Model
 *
 *
 * @method \App\Model\Entity\Pagar_cv get($primaryKey, $options = [])
 * @method \App\Model\Entity\Pagar_cv newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Pagar_cv[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Pagar_cv|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Pagar_cv|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Pagar_cv patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Pagar_cv[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Pagar_cv findOrCreate($search, callable $callback = null, $options = [])
 */
class Pagar_cvsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('pagar_cvs');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        return $validator;
    }
}
