<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Asignarchofer[]|\Cake\Collection\CollectionInterface $asignarchofers
 */
?>
<div class="row">
    
     
<div class="col-md-12">
        <div class="page-header">
            <h2>Listado de Asignarchofer</h2>
        </div>


 <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('marca_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modelo_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ano_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('color_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tipo_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('procedencia_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('importador_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('proveedor_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('proveedor') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chofere_id') ?></th>
                 <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($asignarchofers as $asignarchofer): ?>
            <tr>
                <td><?= $this->Number->format($asignarchofer->id) ?></td>
                <td><?= $this->Number->format($asignarchofer->marca_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->modelo_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->ano_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->color_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->tipo_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->procedencia_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->importador_id) ?></td>
                <td><?= $this->Number->format($asignarchofer->proveedor_id) ?></td>
                <td><?= h($asignarchofer->proveedor) ?></td>
                <td><?= $this->Number->format($asignarchofer->estado) ?></td>
                <td><?= $this->Number->format($asignarchofer->chofere_id) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $asignarchofer->id] , ['class' => 'btn btn-sm btn-info']) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $asignarchofer->id] , ['class' => 'btn btn-sm btn-primary']) ?>
                    <?= $this->Form->postLink(__('Borrar'), ['action' => 'delete', $asignarchofer->id],  ['class' => 'btn btn-sm btn-danger'], ['confirm' => __('Estas seguro que desea borrar el registro # {0}?', $asignarchofer->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
          
            <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>

        </ul>
        <p><?= $this->Paginator->counter() ?></p>
    </div>
    </div>
</div>
