<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>Autorizar refuerzos para la venta!</h2>
        </div>

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('refuerzos') ?></th>
                <th scope="col"></th>
           </tr>
           </thead>
           <tbody>
           <?php foreach ($autorizarrefuerzos as $autorizarrefuerzo): ?>
            <tr>
                <td><?= h($autorizarrefuerzo->fecha) ?></td>
                <td><?= h($autorizarrefuerzo->chasis) ?></td>
                <td><?= h($autorizarrefuerzo->refuerzos) ?></td>
                <td><?= $this->Html->link('APROBAR', ['action' => 'aprobar', $autorizarrefuerzo->id], ['class' => 'btn btn-sm btn-primary']) ?></td>
                <td><?= $this->Html->link('RECHAZAR', ['action' => 'rechazar', $autorizarrefuerzo->id], ['class' => 'btn btn-sm btn-info']) ?></td>
                
            </tr>
           </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>