<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bonosdescuento $bonosdescuento
 */
?>

<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="page-header">
            <h2>Bonos para descuentos!</h2>
        </div>
        <?= $this->Form->create($bonosdescuento) ?>
        <fieldset>
             <legend><?= __('DENTRO DE LA LISTA') ?></legend>
            <legend><?= __('BONOS PARA VENTA A CREDITO - DENTRO DE LA LISTA') ?></legend>
            <?php
                echo $this->Form->control('rimpbonoacredito', ['label' => 'REC. IMP. BONO 1', 'required' => true]);
                echo $this->Form->control('rimpbonobcredito', ['label' => 'REC. IMP. BONO 2', 'required' => true]);
                echo $this->Form->control('rimpbonoccredito', ['label' => 'REC. IMP. BONO 3', 'required' => true]);
                echo $this->Form->control('rimpbonodcredito', ['label' => 'REC. IMP. BONO 4', 'required' => true]);
                echo $this->Form->control('rimpbonoecredito', ['label' => 'REC. IMP. BONO 5', 'required' => true]);
                echo $this->Form->control('rimpbonofcredito', ['label' => 'REC. IMP. BONO 6', 'required' => true]);
                echo $this->Form->control('rimpbonogcredito', ['label' => 'REC. IMP. BONO 7', 'required' => true]);

                echo $this->Form->control('usabonoacredito', ['label' => 'USADO BONO 1', 'required' => true]);
                echo $this->Form->control('usabonobcredito', ['label' => 'USADO BONO 2', 'required' => true]);
                echo $this->Form->control('usabonoccredito', ['label' => 'USADO BONO 3', 'required' => true]);
                echo $this->Form->control('usabonodcredito', ['label' => 'USADO BONO 4', 'required' => true]);
                echo $this->Form->control('usabonoecredito', ['label' => 'USADO BONO 5', 'required' => true]);
                echo $this->Form->control('usabonofcredito', ['label' => 'USADO BONO 6', 'required' => true]);
                echo $this->Form->control('usabonogcredito', ['label' => 'USADO BONO 7', 'required' => true]);

                echo $this->Form->control('recbonoacredito', ['label' => 'RECUPERADO BONO 1', 'required' => true]);
                echo $this->Form->control('recbonobcredito', ['label' => 'RECUPERADO BONO 2', 'required' => true]);
                echo $this->Form->control('recbonoccredito', ['label' => 'RECUPERADO BONO 3', 'required' => true]);
                echo $this->Form->control('recbonodcredito', ['label' => 'RECUPERADO BONO 4', 'required' => true]);
                echo $this->Form->control('recbonoecredito', ['label' => 'RECUPERADO BONO 5', 'required' => true]);
                echo $this->Form->control('recbonofcredito', ['label' => 'RECUPERADO BONO 6', 'required' => true]);
                echo $this->Form->control('recbonogcredito', ['label' => 'RECUPERADO BONO 7', 'required' => true]);

            ?>

            <legend><?= __('BONOS PARA VENTA CONTADO - DENTRO DE LA LISTA') ?></legend>
            <?php
                echo $this->Form->control('rimpbonoacontado', ['label' => 'REC. IMP. BONO 1', 'required' => true]);
                echo $this->Form->control('rimpbonobcontado', ['label' => 'REC. IMP. BONO 2', 'required' => true]);
                echo $this->Form->control('rimpbonoccontado', ['label' => 'REC. IMP. BONO 3', 'required' => true]);
                echo $this->Form->control('rimpbonodcontado', ['label' => 'REC. IMP. BONO 4', 'required' => true]);
                echo $this->Form->control('rimpbonoecontado', ['label' => 'REC. IMP. BONO 5', 'required' => true]);
                echo $this->Form->control('rimpbonofcontado', ['label' => 'REC. IMP. BONO 6', 'required' => true]);
                echo $this->Form->control('rimpbonogcontado', ['label' => 'REC. IMP. BONO 7', 'required' => true]);

                echo $this->Form->control('usabonoacontado', ['label' => 'USADO BONO 1', 'required' => true]);
                echo $this->Form->control('usabonobcontado', ['label' => 'USADO BONO 2', 'required' => true]);
                echo $this->Form->control('usabonoccontado', ['label' => 'USADO BONO 3', 'required' => true]);
                echo $this->Form->control('usabonodcontado', ['label' => 'USADO BONO 4', 'required' => true]);
                echo $this->Form->control('usabonoecontado', ['label' => 'USADO BONO 5', 'required' => true]);
                echo $this->Form->control('usabonofcontado', ['label' => 'USADO BONO 6', 'required' => true]);
                echo $this->Form->control('usabonogcontado', ['label' => 'USADO BONO 7', 'required' => true]);

                echo $this->Form->control('recbonoacontado', ['label' => 'RECUPERADO BONO 1', 'required' => true]);
                echo $this->Form->control('recbonobcontado', ['label' => 'RECUPERADO BONO 2', 'required' => true]);
                echo $this->Form->control('recbonoccontado', ['label' => 'RECUPERADO BONO 3', 'required' => true]);
                echo $this->Form->control('recbonodcontado', ['label' => 'RECUPERADO BONO 4', 'required' => true]);
                echo $this->Form->control('recbonoecontado', ['label' => 'RECUPERADO BONO 5', 'required' => true]);
                echo $this->Form->control('recbonofcontado', ['label' => 'RECUPERADO BONO 6', 'required' => true]);
                echo $this->Form->control('recbonogcontado', ['label' => 'RECUPERADO BONO 7', 'required' => true]);

            ?>
            <legend><?= __('FUERA DE LA LISTA') ?></legend>

            <legend><?= __('BONOS PARA VENTA A CREDITO - FUERA DE LA LISTA') ?></legend>
            <?php
                echo $this->Form->control('rimpbonoacreditofuera', ['label' => 'REC. IMP. BONO 1', 'required' => true]);
                echo $this->Form->control('rimpbonobcreditofuera', ['label' => 'REC. IMP. BONO 2', 'required' => true]);
                echo $this->Form->control('rimpbonoccreditofuera', ['label' => 'REC. IMP. BONO 3', 'required' => true]);
                echo $this->Form->control('rimpbonodcreditofuera', ['label' => 'REC. IMP. BONO 4', 'required' => true]);
                echo $this->Form->control('rimpbonoecreditofuera', ['label' => 'REC. IMP. BONO 5', 'required' => true]);
                echo $this->Form->control('rimpbonofcreditofuera', ['label' => 'REC. IMP. BONO 6', 'required' => true]);
                echo $this->Form->control('rimpbonogcreditofuera', ['label' => 'REC. IMP. BONO 7', 'required' => true]);

                echo $this->Form->control('usabonoacreditofuera', ['label' => 'USADO BONO 1', 'required' => true]);
                echo $this->Form->control('usabonobcreditofuera', ['label' => 'USADO BONO 2', 'required' => true]);
                echo $this->Form->control('usabonoccreditofuera', ['label' => 'USADO BONO 3', 'required' => true]);
                echo $this->Form->control('usabonodcreditofuera', ['label' => 'USADO BONO 4', 'required' => true]);
                echo $this->Form->control('usabonoecreditofuera', ['label' => 'USADO BONO 5', 'required' => true]);
                echo $this->Form->control('usabonofcreditofuera', ['label' => 'USADO BONO 6', 'required' => true]);
                echo $this->Form->control('usabonogcreditofuera', ['label' => 'USADO BONO 7', 'required' => true]);

                echo $this->Form->control('recbonoacreditofuera', ['label' => 'RECUPERADO BONO 1', 'required' => true]);
                echo $this->Form->control('recbonobcreditofuera', ['label' => 'RECUPERADO BONO 2', 'required' => true]);
                echo $this->Form->control('recbonoccreditofuera', ['label' => 'RECUPERADO BONO 3', 'required' => true]);
                echo $this->Form->control('recbonodcreditofuera', ['label' => 'RECUPERADO BONO 4', 'required' => true]);
                echo $this->Form->control('recbonoecreditofuera', ['label' => 'RECUPERADO BONO 5', 'required' => true]);
                echo $this->Form->control('recbonofcreditofuera', ['label' => 'RECUPERADO BONO 6', 'required' => true]);
                echo $this->Form->control('recbonogcreditofuera', ['label' => 'RECUPERADO BONO 7', 'required' => true]);
            ?>

            <legend><?= __('BONOS PARA VENTA CONTADO - FUERA DE LA LISTA') ?></legend>
            <?php
                echo $this->Form->control('rimpbonoacontadofuera', ['label' => 'REC. IMP. BONO 1', 'required' => true]);
                echo $this->Form->control('rimpbonobcontadofuera', ['label' => 'REC. IMP. BONO 2', 'required' => true]);
                echo $this->Form->control('rimpbonoccontadofuera', ['label' => 'REC. IMP. BONO 3', 'required' => true]);
                echo $this->Form->control('rimpbonodcontadofuera', ['label' => 'REC. IMP. BONO 4', 'required' => true]);
                echo $this->Form->control('rimpbonoecontadofuera', ['label' => 'REC. IMP. BONO 5', 'required' => true]);
                echo $this->Form->control('rimpbonofcontadofuera', ['label' => 'REC. IMP. BONO 6', 'required' => true]);
                echo $this->Form->control('rimpbonogcontadofuera', ['label' => 'REC. IMP. BONO 7', 'required' => true]);

                echo $this->Form->control('usabonoacontadofuera', ['label' => 'USADO BONO 1', 'required' => true]);
                echo $this->Form->control('usabonobcontadofuera', ['label' => 'USADO BONO 2', 'required' => true]);
                echo $this->Form->control('usabonoccontadofuera', ['label' => 'USADO BONO 3', 'required' => true]);
                echo $this->Form->control('usabonodcontadofuera', ['label' => 'USADO BONO 4', 'required' => true]);
                echo $this->Form->control('usabonoecontadofuera', ['label' => 'USADO BONO 5', 'required' => true]);
                echo $this->Form->control('usabonofcontadofuera', ['label' => 'USADO BONO 6', 'required' => true]);
                echo $this->Form->control('usabonogcontadofuera', ['label' => 'USADO BONO 7', 'required' => true]);

                echo $this->Form->control('recbonoacontadofuera', ['label' => 'RECUPERADO BONO 1', 'required' => true]);
                echo $this->Form->control('recbonobcontadofuera', ['label' => 'RECUPERADO BONO 2', 'required' => true]);
                echo $this->Form->control('recbonoccontadofuera', ['label' => 'RECUPERADO BONO 3', 'required' => true]);
                echo $this->Form->control('recbonodcontadofuera', ['label' => 'RECUPERADO BONO 4', 'required' => true]);
                echo $this->Form->control('recbonoecontadofuera', ['label' => 'RECUPERADO BONO 5', 'required' => true]);
                echo $this->Form->control('recbonofcontadofuera', ['label' => 'RECUPERADO BONO 6', 'required' => true]);
                echo $this->Form->control('recbonogcontadofuera', ['label' => 'RECUPERADO BONO 7', 'required' => true]);
            ?>


        </fieldset>
        <?= $this->Form->button('ACTUALIZAR', ['class' => 'btn btn-primary btn-lg btn-block']) ?>
        <?= $this->Form->end() ?>
    </div>
</div>