<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\DepositosUbica $depositosUbica
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $depositosUbica->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $depositosUbica->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Depositos Ubicas'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Depositos'), ['controller' => 'Depositos', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Deposito'), ['controller' => 'Depositos', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="depositosUbicas form large-9 medium-8 columns content">
    <?= $this->Form->create($depositosUbica) ?>
    <fieldset>
        <legend><?= __('Edit Depositos Ubica') ?></legend>
        <?php
            echo $this->Form->control('deposito_id', ['options' => $depositos, 'empty' => true]);
            echo $this->Form->control('ubica_id', ['options' => $ubicas, 'empty' => true]);
            echo $this->Form->control('chasis');
            echo $this->Form->control('estado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
