<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $empleado->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $empleado->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Empleados'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Users'), ['controller' => 'Users', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New User'), ['controller' => 'Users', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="empleados form large-9 medium-8 columns content">
    <?= $this->Form->create($empleado) ?>
    <fieldset>
        <legend><?= __('Edit Empleado') ?></legend>
        <?php
            echo $this->Form->input('nombre');
            echo $this->Form->input('apellido');
            echo $this->Form->input('modalidad');
            echo $this->Form->input('fechaingreso');
            echo $this->Form->input('usistema');
            echo $this->Form->input('telefono1');
            echo $this->Form->input('telefono2');
            echo $this->Form->input('telefono3');
            echo $this->Form->input('domicilio');
            echo $this->Form->input('nrodomi');
            echo $this->Form->input('dominum');
            echo $this->Form->input('edad');
            echo $this->Form->input('sexo');
            echo $this->Form->input('estadocivil');
            echo $this->Form->input('profesion');
            echo $this->Form->input('sena');
            echo $this->Form->input('esteempleado');
            echo $this->Form->input('sueldo');
            echo $this->Form->input('horaxdia');
            echo $this->Form->input('horaextra');
            echo $this->Form->input('fercosto');
            echo $this->Form->input('comitipo');
            echo $this->Form->input('prectipo');
            echo $this->Form->input('ventacont');
            echo $this->Form->input('ventacred');
            echo $this->Form->input('cobrador');
            echo $this->Form->input('observacion');
            echo $this->Form->input('moneda');
            echo $this->Form->input('comivcont');
            echo $this->Form->input('comivcred');
            echo $this->Form->input('cedula');
            echo $this->Form->input('ruc');
            echo $this->Form->input('cargo');
            echo $this->Form->input('users._ids', ['options' => $users]);
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
