<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventariosUsado $inventariosUsado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Inventarios Usado'), ['action' => 'edit', $inventariosUsado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Inventarios Usado'), ['action' => 'delete', $inventariosUsado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inventariosUsado->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Inventarios Usados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Inventarios Usado'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="inventariosUsados view large-9 medium-8 columns content">
    <h3><?= h($inventariosUsado->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($inventariosUsado->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modelo') ?></th>
            <td><?= h($inventariosUsado->modelo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Marca') ?></th>
            <td><?= h($inventariosUsado->marca) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Color') ?></th>
            <td><?= h($inventariosUsado->color) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($inventariosUsado->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($inventariosUsado->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($inventariosUsado->usuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Motorsopla') ?></th>
            <td><?= $this->Number->format($inventariosUsado->motorsopla) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Accesorios') ?></th>
            <td><?= $this->Number->format($inventariosUsado->accesorios) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cajafuncionabien') ?></th>
            <td><?= $this->Number->format($inventariosUsado->cajafuncionabien) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Direccionhidraulica') ?></th>
            <td><?= $this->Number->format($inventariosUsado->direccionhidraulica) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Aire') ?></th>
            <td><?= $this->Number->format($inventariosUsado->aire) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Radio') ?></th>
            <td><?= $this->Number->format($inventariosUsado->radio) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cajadesonido') ?></th>
            <td><?= $this->Number->format($inventariosUsado->cajadesonido) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Parabrisaroto') ?></th>
            <td><?= $this->Number->format($inventariosUsado->parabrisaroto) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Farodelanteroderecho') ?></th>
            <td><?= $this->Number->format($inventariosUsado->farodelanteroderecho) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Farodelanteroizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->farodelanteroizq) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Farotraseroderecho') ?></th>
            <td><?= $this->Number->format($inventariosUsado->farotraseroderecho) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Farotraseroizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->farotraseroizq) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Llantadeportiva') ?></th>
            <td><?= $this->Number->format($inventariosUsado->llantadeportiva) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tablerolindo') ?></th>
            <td><?= $this->Number->format($inventariosUsado->tablerolindo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estadovehiculo') ?></th>
            <td><?= $this->Number->format($inventariosUsado->estadovehiculo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Gato') ?></th>
            <td><?= $this->Number->format($inventariosUsado->gato) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Auxilio') ?></th>
            <td><?= $this->Number->format($inventariosUsado->auxilio) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Titulo') ?></th>
            <td><?= $this->Number->format($inventariosUsado->titulo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Contratos') ?></th>
            <td><?= $this->Number->format($inventariosUsado->contratos) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Frente') ?></th>
            <td><?= $this->Number->format($inventariosUsado->frente) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Guardabarrodelanteroderecho') ?></th>
            <td><?= $this->Number->format($inventariosUsado->guardabarrodelanteroderecho) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Puertadelanteraderecha') ?></th>
            <td><?= $this->Number->format($inventariosUsado->puertadelanteraderecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Puertatraseraderecha') ?></th>
            <td><?= $this->Number->format($inventariosUsado->puertatraseraderecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Guardabarrotrasero') ?></th>
            <td><?= $this->Number->format($inventariosUsado->guardabarrotrasero) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Partetrasera') ?></th>
            <td><?= $this->Number->format($inventariosUsado->partetrasera) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Guardabarrotraseroizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->guardabarrotraseroizq) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Puertatraseraizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->puertatraseraizq) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Puertadelantaraizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->puertadelantaraizq) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Guardabarrodelanteroizq') ?></th>
            <td><?= $this->Number->format($inventariosUsado->guardabarrodelanteroizq) ?></td>
        </tr>
    </table>
</div>
