<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Propuestasimulador $propuestasimulador
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $propuestasimulador->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $propuestasimulador->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Propuestasimuladors'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Simulador Ventas'), ['controller' => 'SimuladorVentas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Simulador Venta'), ['controller' => 'SimuladorVentas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="propuestasimuladors form large-9 medium-8 columns content">
    <?= $this->Form->create($propuestasimulador) ?>
    <fieldset>
        <legend><?= __('Edit Propuestasimulador') ?></legend>
        <?php
            echo $this->Form->control('empresa');
            echo $this->Form->control('fecha');
            echo $this->Form->control('simulador_venta_id', ['options' => $simuladorVentas, 'empty' => true]);
            echo $this->Form->control('bono');
            echo $this->Form->control('observacion');
            echo $this->Form->control('estado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
