
<?= $this->Html->css('bootstrap.min.css') ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
          <h3 align="center">PROPUESTAS PENDIENTES</h3>
            <div class="table-responsive">
             <?php echo $this->Form->create('gerente', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Propuestas', 'action' => 'gerente'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 'search', 'class' => 'form-control s', 'autocomplete' => 'on', 'placeholder' => 'ingrese...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
         </div>   
         </div>
         
        <div class="table-responsive">
             <table class="table  table-sm">
            <thead>
             <tr>
                    <th scope="col"><?= $this->Paginator->sort('vendedor') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('celular') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('propuesta') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                    
                     
                </tr>
            </thead>
            <tbody>
                <?php foreach ($propuestas as $propuesta): ?>
                <tr>
                    <td><?= h($propuesta->vendedor) ?></td>
                    <td><?= h($propuesta->celular) ?></td>
                    <td><?= h($propuesta->propuesta) ?></td>
                    <td><?= h($propuesta->observacion) ?></td>
                    <td><?= h($propuesta->chasis) ?></td>
                     <td><?= h($propuesta->nombre) ?></td>
                    <td>
                    <?= $this->Html->link('RESPONDER', ['controller' => 'propuestas', 'action' => 'edit', trim($propuesta->id)], ['class' => 'btn btn-sm btn-info']) ?>
                    </td>
                    
                    <td>
                    <?= $this->Html->link('VER VEHICULO', ['controller' => 'stocks', 'action' => 'chasis', trim($propuesta->chasis)], ['class' => 'btn btn-sm btn-info']) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
