<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Publicacion $publicacion
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $publicacion->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $publicacion->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Publicacions'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="publicacions form large-9 medium-8 columns content">
    <?= $this->Form->create($publicacion) ?>
    <fieldset>
        <legend><?= __('Edit Publicacion') ?></legend>
        <?php
            echo $this->Form->control('empleado_id', ['options' => $empleados, 'empty' => true]);
            echo $this->Form->control('cantidad');
            echo $this->Form->control('fecha');
            echo $this->Form->control('fechagenerado');
            echo $this->Form->control('usuariogenerado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
