<style>
    .collapsable {
        border: 1px solid #ccc;
        margin-bottom: 10px;
    }

    .collapsable-header {
        background-color: #f0f0f0;
        padding: 10px;
        cursor: pointer;
    }

    .collapsable-certificado-trabajo {
        padding: 10px;
        display: none;
    }

    .collapsable-liquidacion-salario {
        padding: 10px;
        display: none;
    }

    .collapsable-patente {
        padding: 10px;
        display: none;
    }

    .collapsable-iva {
        padding: 10px;
        display: none;
    }
</style>

<div class="row">
    <div class="col-md-6 col-md-offset-3">

        <?= $this->Form->create($cliente, ['type' => 'file', 'enctype' => 'multipart/form-data']) ?>
        <?php echo $this->Form->input('cedula', array('label' => 'Documento:')); ?>
        <?php echo $this->Form->input('apellido', ['label' => 'Apellido(s):', 'onkeyup' => "this.value = this.value.toUpperCase();"]); ?>
        <?php echo $this->Form->input('nombre', ['label' => 'Nombre(s):', 'onkeyup' => "this.value = this.value.toUpperCase();"]); ?>
        <div>
            <p>Frente y Reverso de la Cédula:</p>
        </div>
        <?= $this->Form->file('files[]', ['label' => 'Cedula (Frente):']) ?>
        <?= $this->Form->file('files[]', ['label' => 'Cedula (Reverso):']) ?>

        <div id="ctrabajo" class="collapsable">
            <div class="collapsable-header" onclick="toggle_certificado_trabajo()">(+) Certificado de Trabajo</div>
            <div class="collapsable-certificado-trabajo">
                <?= $this->Form->input('empresa_ct', ['label' => 'Nombre de la empresa:']) ?>
                <?= $this->Form->input('monto_ct', ['label' => 'Monto que percibe:']) ?>
                <?= $this->Form->input('telefono_ct', ['label' => 'Teléfono laboral:']) ?>
                <?= $this->Form->input('antiguedad_ct', ['label' => 'Antiguedad laboral:']) ?>
                <div>
                    <p>Cargar Certificado de Trabajo:</p>
                </div>
                <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
            </div>
        </div>

        <div id="csalario" class="collapsable">
            <div class="collapsable-header" onclick="toggle_liquidacion_salario()">(+) Liquidacion de Salario</div>
            <div class="collapsable-liquidacion-salario">
                <?= $this->Form->input('empresa_ls', ['label' => 'Nombre de la empresa:']) ?>
                <?= $this->Form->input('monto_ls', ['label' => 'Monto que percibe:']) ?>
                <?= $this->Form->input('telefono_ls', ['label' => 'Teléfono laboral:']) ?>
                <?= $this->Form->input('antiguedad_ls', ['label' => 'Antiguedad laboral:']) ?>
                <div>
                    <p>Cargar Comprobante de Salario:</p>
                </div>

                <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
            </div>
        </div>

        <div id="cpatente" class="collapsable">
            <div class="collapsable-header" onclick="toggle_patente()">(+) Patente</div>
            <div class="collapsable-patente">
                <?= $this->Form->input('operando_pt', ['label' => 'Antiguedad operando:']) ?>
                <?= $this->Form->input('monto1_pt', ['label' => 'Monto mes 1:']) ?>
                <?= $this->Form->input('monto2_pt', ['label' => 'Monto mes 2:']) ?>
                <?= $this->Form->input('monto3_pt', ['label' => 'Monto mes 3:']) ?>
                <div>
                    <p>Cargar Comprobante de Patente:</p>
                </div>
                <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
            </div>
        </div>

        <div id="civa" class="collapsable">
            <div class="collapsable-header" onclick="toggle_iva()">(+) IVA</div>
            <div class="collapsable-iva">
                <?= $this->Form->input('operando_iva', ['label' => 'Antiguedad operando:']) ?>
                <?= $this->Form->input('monto1_iva', ['label' => 'Monto mes 1:']) ?>
                <?= $this->Form->input('monto2_iva', ['label' => 'Monto mes 2:']) ?>
                <?= $this->Form->input('monto3_iva', ['label' => 'Monto mes 3:']) ?>
                <div>
                    <p>Cargar Comprobante:</p>
                </div>

                <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
            </div>
        </div>

        <?= $this->Form->button('GUARDAR', ['class' => 'btn btn-primary btn-block']) ?>
        <?= $this->Form->end() ?>
    </div>
    <div>
        <hr />
    </div>
</div>

<script>
    function toggle_certificado_trabajo() {
        var content = document.querySelector('.collapsable-certificado-trabajo');
        content.style.display = (content.style.display === 'none') ? 'block' : 'none';
    }

    function toggle_liquidacion_salario() {
        var content = document.querySelector('.collapsable-liquidacion-salario');
        content.style.display = (content.style.display === 'none') ? 'block' : 'none';
    }

    function toggle_patente() {
        var content = document.querySelector('.collapsable-patente');
        content.style.display = (content.style.display === 'none') ? 'block' : 'none';
    }

    function toggle_iva() {
        var content = document.querySelector('.collapsable-iva');
        content.style.display = (content.style.display === 'none') ? 'block' : 'none';
    }
</script>