<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>VENTAS</h2>
        </div>
      <div class="table-responsive text-nowrap">
            <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('total') ?></th>
                <th scope="col"><?= $this->Paginator->sort('entrega') ?></th>
                <th scope="col"><?= $this->Paginator->sort('saldo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ci') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('totalbono') ?></th>
                
                <th scope="col" class="actions"><?= __('ACCIONES') ?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($simuladorVentas as $simuladorVenta): ?>
            <tr>
                <td><?= h($simuladorVenta->fecha) ?></td>
                <td><?= h($simuladorVenta->chasis) ?></td>
                <?php if($simuladorVenta->moneda == 1) { ?>
                    <td><?= 'DOLARES' ?></td>
                 <?php } else { ?>
                    <td><?= 'GUARANIES' ?></td>
                 <?php } ?>
                 <td><?= $this->Number->format($simuladorVenta->meses) ?></td>
                <td><?= $this->Number->format($simuladorVenta->total) ?></td>
                <td><?= $this->Number->format($simuladorVenta->entrega) ?></td>
                <td><?= $this->Number->format($simuladorVenta->saldo) ?></td>
               
                <td><?= h($simuladorVenta->ci) ?></td>
                <td><?= h($simuladorVenta->telefono) ?></td>
                <td><?= $this->Number->format($simuladorVenta->totalbono) ?></td>

                <td>
                    <?= $this->Html->link('Ver', ['action' => 'view', $simuladorVenta->id], ['class' => 'btn btn-sm btn-primary']) ?>

                    <?= $this->Form->postLink('APROBAR', ['action' => 'delete', $simuladorVenta->id], ['confirm' => 'DESEA APROBAR ESTE CREDITO PARA LA VENTA ?', 'class' => 'btn btn-sm btn-info']) ?>

                </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>







