<style>
    .labelhvn {
        width: 150px; /* Ajusta el ancho según sea necesario */
    }
    
    @media (max-width: 768px) {
        .btnhvn {
            padding-top : 20px;
        }
    }
    
</style>

<div class="row">
  <div class="col-md-12">
      
    <ul class="nav nav-pills nav-tabs" id="myTab" role="tablist">
      <li class="nav-item">
        <a class="nav-link" id="lista-us-tab" data-toggle="tab" href="#lista-us" role="tab" aria-controls="lista-us" aria-selected="true">Precio Lista USD.</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="lista-gs-tab" data-toggle="tab" href="#lista-gs" role="tab" aria-controls="lista-gs" aria-selected="false">Precio Lista GS.</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="fuera-lista-us-tab" data-toggle="tab" href="#fuera-lista-us" role="tab" aria-controls="fuera-lista-us" aria-selected="false">P. Fuera lista USD.</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="fuera-lista-gs-tab" data-toggle="tab" href="#fuera-lista-gs" role="tab" aria-controls="fuera-lista-gs" aria-selected="false">P. Fuera lista GS.</a>
      </li>

      <li class="nav-item">
        <a class="nav-link" id="promo-us-tab" data-toggle="tab" href="#promo-us" role="tab" aria-controls="promo-us" aria-selected="false">Precio Promo USD.</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="promo-gs-tab" data-toggle="tab" href="#promo-gs" role="tab" aria-controls="promo-gs" aria-selected="false">Precio Promo GS.</a>
      </li>
    </ul>

    <div class="tab-content" id="myTabContent">
      <div>
        <h4> <?php echo 'CHASIS: ' . $stock->chasis ?></h4>
        <h4> <?php echo 'DETALLE: ' . $stock->modelo . ' ' . $stock->ano ?></h4>
        <?php
            if($stock->sumacolor == 1){
                echo '<h6> **SUMA COLOR** <h6>' ;
                $stock->costo = $stock->costo + round(1000000 / $cotiventa);
            }
            
            if($stock->tipollanta > 0){
                echo '<h6> **SUMA LLANTA** <h6>' ;
                $stock->costo = $stock->costo + 300;
            }
            
            
        ?>
      </div>

      <div class="tab-pane fade" id="lista-us" role="tabpanel" aria-labelledby="lista-us-tab">
        <div>
          <br />
          
            <?php
          $entregaminus = round(($preciocreditos->entregaminimags + $preciocreditos->entregamantenimiento) / $cotiventa);
          ?>
          <h4> <?php echo 'ENTREGA + MANT.: ' . $entregaminus ?></h4>
            
          <div class="container">
              <div class="row">
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Entrega + mant.:</span>
                    <input type="text"  id="lista-us-entreganueva" oninput="formatNumber('lista-us-entreganueva')" value="<?php echo $entregaminus; ?>" min="<?php echo $entregaminus; ?>" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                    <input type="text"  id="lista-us-camba" oninput="formatNumber('lista-us-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cantidad Refuerzo:</span>
                    <input  type="number" id="lista-us-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                    <input type="text" id="lista-us-montoRefuerzo" oninput="formatNumber('lista-us-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                  
                </div>
                <div class="col-md-2 col-12 btnhvn">
                  <button id="lista-us-calcular" class="btn btn-success btn-block ">Calcular</button>
                </div>
                    
              </div>
            </div>


          <br />
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REF.</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-lista-us">
              <?php
              $valor = $preciocreditos->interes;
              $entrega = round($preciocreditos->entregaminimags / $cotiventa);
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + $preciocreditos->{'mes' . $i};
                $total = $valor + $stock->costo;
                $saldo = $total - $entrega;
                
                if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                    if($i > 40){
                         echo '<tr style="color: red;">';
                    }else {
                       echo '<tr>'; 
                    }
                    
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';

                
              }
              ?>
            </tbody>
          </table>
        </div>
      </div>
      
      <div class="tab-pane fade" id="lista-gs" role="tabpanel" aria-labelledby="lista-gs-tab">
        <div>
          <br />
          <?php
          $entregaminus = round(($preciocreditos->entregaminimags + $preciocreditos->entregamantenimiento));
          ?>

          <h4> <?php echo 'ENTREGA + MANT.: ' . number_format($entregaminus, 2, ',', '.') ?></h4>

          <div class="container">
              <div class="row">
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Entrega + mant.:</span>
                    <input type="text"  id="lista-gs-entreganueva" oninput="formatNumber('lista-gs-entreganueva')" value="<?php echo number_format($entregaminus, 0, ',', '.'); ?>" min="<?php echo $entregaminus; ?>" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                    <input type="text"  id="lista-gs-camba" oninput="formatNumber('lista-gs-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cant. Refuerzo:</span>
                    <input  type="number" id="lista-gs-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                    <input type="text" id="lista-gs-montoRefuerzo" oninput="formatNumber('lista-gs-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                  
                </div>
                <div class="col-md-2 col-12 btnhvn">
                  <button id="lista-gs-calcular" class="btn btn-success btn-block ">Calcular</button>
                </div>
                    
              </div>
            </div>
            
          <br />

          <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col" style="width: 100px;">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REF.</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-lista-gs">
              <?php
              $valor = $preciocreditos->interes * $cotiventa;
              $entrega = $preciocreditos->entregaminimags;
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + ($preciocreditos->{'mes' . $i} * $cotiventa);
                $total = $valor + ($stock->costo * $cotiventa);
                $saldo = $total - $entrega;

            
                
                if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                     if($i > 40){
                         echo '<tr style="color: red;">';
                    }else {
                       echo '<tr>'; 
                    }
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';
                
              }
              ?>
            </tbody>
          </table>
          </div>
        </div>
      </div>

      <div class="tab-pane fade" id="fuera-lista-us" role="tabpanel" aria-labelledby="fuera-lista-us-tab">
        <div>
          <br />
          <h4> <?php echo 'ENTREGA + MANT.: ' . round(($preciocreditos->entregafuerags + $preciocreditos->entregamantenimiento) / $cotiventa) ?></h4>
          <br />
          
           <div class="container">
              <div class="row">
                  
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                    <input type="text"  id="fuera-lista-us-camba" oninput="formatNumber('fuera-lista-us-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-3">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cant. Refuerzo:</span>
                    <input  type="number" id="fuera-lista-us-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-4">
                  
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                    <input type="text" id="fuera-lista-us-montoRefuerzo" oninput="formatNumber('fuera-lista-us-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                  
                </div>
                <div class="col-md-2 col-12 btnhvn">
                  <button id="fuera-lista-us-calcular" class="btn btn-success btn-block ">Calcular</button>
                </div>
                    
              </div>
            </div>
            
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REFUERZO</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-fuera-lista-us">
              <?php
              $valor = $preciocreditos->interes;
              $entrega = round($preciocreditos->entregafuerags / $cotiventa);
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + $preciocreditos->{'mesfuera' . $i};
                $total = $valor + $stock->costo;
                $saldo = $total - $entrega;

                if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                    echo '<tr>';
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';
              }
              ?>
            </tbody>
          </table>
        </div>
      </div>
      
      <div class="tab-pane fade" id="fuera-lista-gs" role="tabpanel" aria-labelledby="fuera-lista-gs-tab">
        <div>
          <br />
          <h4> <?php echo 'ENTREGA + MANT.: ' . number_format(round($preciocreditos->entregafuerags + $preciocreditos->entregamantenimiento), 2, ',', '.') ?></h4>
          <br />
          
           <div class="container">
              <div class="row">
                  
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                    <input type="text"  id="fuera-lista-gs-camba" oninput="formatNumber('fuera-lista-gs-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-3">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cant. Refuerzo:</span>
                    <input  type="number" id="fuera-lista-gs-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                    <input type="text" id="fuera-lista-gs-montoRefuerzo" oninput="formatNumber('fuera-lista-gs-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                  
                </div>
                <div class="col-md-2 col-12 btnhvn">
                  <button id="fuera-lista-gs-calcular" class="btn btn-success btn-block ">Calcular</button>
                </div>
                    
              </div>
            </div>
            <div class="table-responsive"> 
                <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REFUERZO</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-fuera-lista-gs">
              <?php
              $valor = $preciocreditos->interes * $cotiventa;
              $entrega = $preciocreditos->entregafuerags;
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + ($preciocreditos->{'mesfuera' . $i} * $cotiventa);
                $total = $valor + ($stock->costo * $cotiventa);
                $saldo = $total - $entrega;

                if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                    echo '<tr>';
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';
              }
              ?>
            </tbody>
          </table>
            </div>
        </div>
      </div>

      <div class="tab-pane fade" id="promo-us" role="tabpanel" aria-labelledby="promo-us-tab">
        <div>
          <br />
          <h4> <?php echo 'ENTREGA + MANT.: ' . round(($preciocreditos->entregapromogs + $preciocreditos->entregamantenimiento) / $cotiventa) ?></h4>
          <br />
          
          <div class="container">
          <div class="row">
              
            <div class="col-md-4">
              <div class="input-group">
                <span class="input-group-addon labelhvn" id="basic-addon1">Entrega + mant.:</span>
                <input type="text"  id="promo-lista-us-entreganueva" oninput="formatNumber('promo-lista-us-entreganueva')" value="<?php echo number_format(round(($preciocreditos->entregapromogs + $preciocreditos->entregamantenimiento) / $cotiventa), 0, ',', '.'); ?>"  class="form-control"  aria-describedby="basic-addon1">
              </div>
            </div>
            
            <div class="col-md-4">
              <div class="input-group">
                <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                <input type="text"  id="promo-lista-us-camba" oninput="formatNumber('promo-lista-us-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
              </div>
            </div>
                
            <div class="col-md-3">
              <div class="input-group">
                <span class="input-group-addon labelhvn" id="basic-addon1">Cant. Refuerzo:</span>
                <input  type="number" id="promo-lista-us-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
              </div>
            </div>
            <div class="col-md-4">
              
              <div class="input-group">
                <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                <input type="text" id="promo-lista-us-montoRefuerzo" oninput="formatNumber('promo-lista-us-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
              </div>
              
            </div>
            <div class="col-md-2 col-12 btnhvn">
              <button id="promo-lista-us-calcular" class="btn btn-success btn-block ">Calcular</button>
            </div>
                
          </div>
        </div>
            
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REFUERZO</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-promo-lista-us">
              <?php
              $valor = $preciocreditos->interes;
              $entrega = round($preciocreditos->entregapromogs / $cotiventa);
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + $preciocreditos->{'mespromo' . $i};
                $total = $valor + $stock->costo;
                $saldo = $total - $entrega;

                if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                    echo '<tr>';
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';
              }
              ?>
            </tbody>
          </table>
        </div>
      </div>
      
      <div class="tab-pane fade" id="promo-gs" role="tabpanel" aria-labelledby="promo-gs-tab">
        <div>
          <br />
          <h4> <?php echo 'ENTREGA + MANT.: ' . number_format(round($preciocreditos->entregapromogs + $preciocreditos->entregamantenimiento), 0, ',', '.') ?></h4>
          <br />
          
          <div class="container">
              <div class="row">
                
                <div class="col-md-4">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Entrega + mant.:</span>
                    <input type="text"  id="promo-lista-gs-entreganueva" oninput="formatNumber('promo-lista-gs-entreganueva')" value="<?php echo number_format(round($preciocreditos->entregapromogs + $preciocreditos->entregamantenimiento), 0, ',', '.'); ?>"  class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                
                <div class="col-md-4">
              <div class="input-group">
                <span class="input-group-addon labelhvn" id="basic-addon1">Cambalache:</span>
                <input type="text"  id="promo-lista-gs-camba" oninput="formatNumber('promo-lista-gs-camba')" value="0" class="form-control"   aria-describedby="basic-addon1">
              </div>
            </div>
                
                <div class="col-md-3">
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Cant. Refuerzo:</span>
                    <input  type="number" id="promo-lista-gs-cantidadRefuerzo"  value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                </div>
                <div class="col-md-4">
                  
                  <div class="input-group">
                    <span class="input-group-addon labelhvn" id="basic-addon1">Monto Refuerzo:</span>
                    <input type="text" id="promo-lista-gs-montoRefuerzo" oninput="formatNumber('promo-lista-gs-montoRefuerzo')" value="0" min="0" class="form-control"  aria-describedby="basic-addon1">
                  </div>
                  
                </div>
                <div class="col-md-2 col-12 btnhvn">
                  <button id="promo-lista-gs-calcular" class="btn btn-success btn-block ">Calcular</button>
                </div>
                    
              </div>
            </div>
          
          <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">MES</th>
                <th scope="col">CUOTA</th>
                <th scope="col">REFUERZO</th>
                <th scope="col">SALDO</th>
                <th scope="col">TOTAL</th>
              </tr>
            </thead>
            <tbody id="body-promo-lista-gs">
              <?php
              $valor = $preciocreditos->interes * $cotiventa;
              $entrega = $preciocreditos->entregapromogs;
              for ($i = 1; $i <= 48; $i++) {

                $valor = $valor + ($preciocreditos->{'mespromo' . $i} * $cotiventa);
                $total = $valor + ($stock->costo * $cotiventa);
                $saldo = $total - $entrega;

               if($i == 1 || $i == 2 || $i == 3 || $i == 4 || $i == 5 || $i == 6
                   || $i == 7  || $i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12
                ){
                    if($entrega >= ($total/2)){
                        echo '<tr>';
                    } else {
                        echo '<tr style="color: red;">';
                    }
                } else {
                    echo '<tr>';
                }
                echo '<th scope="row">' . $i . '</th>';
                echo '<td>' . number_format(($saldo / $i), 2, ',', '.') . '</td>';
                echo '<td>' . number_format(0, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($saldo, 2, ',', '.') . '</td>';
                echo '<td>' . number_format($total, 2, ',', '.') . '</td>';
                echo '</tr>';
              }
              ?>
            </tbody>
          </table>
          </div>
        </div>
      </div>


    </div>

  </div>
</div>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
  function formatNumber(inputId) {
     $('#' + inputId).val(function(index, value) {
         
          
          
      var values = value.replace(/\D/g, "")
        .replace(/\B(?=(\d{3})+(?!\d))/g, ".");
        
        console.log(values);
        
        return values;
    });
  }
</script>


<script>
  document.addEventListener("DOMContentLoaded", function() {
    
    
    var lss = <?php echo $preciocreditos ?>;
    
    //lista us
    var listausentreganueva = document.getElementById("lista-us-entreganueva");
    var listauscantidadRefuerzo = document.getElementById("lista-us-cantidadRefuerzo");
    var listausmontoRefuerzo = document.getElementById("lista-us-montoRefuerzo");
    var listauscalcular = document.getElementById("lista-us-calcular");
    
    var listauscamba = document.getElementById("lista-us-camba");
    listauscamba.addEventListener('change', function() {
        console.log(listauscamba.value);
       cargarListaUs();
    });

    
    listausentreganueva.addEventListener('change', function() {
       cargarListaUs();
    });

    listauscantidadRefuerzo.addEventListener('change', function() {
      cargarListaUs();
    });

    listausmontoRefuerzo.addEventListener('change', function() {
      cargarListaUs();
    });

    listauscalcular.addEventListener('click', function() {
       
       cargarListaUs();
    });
    
    
    function number_format(number, decimals, dec_point, thousands_sep) {
        // Redondea el número a la cantidad de decimales especificada
        var n = number,
            prec = decimals;
    
        var toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return (Math.round(n * k) / k).toString();
        };
    
        n = !isFinite(+n) ? 0 : +n;
        prec = !isFinite(+prec) ? 0 : Math.abs(prec);
        var sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
        var dec = typeof dec_point === 'undefined' ? '.' : dec_point;
    
        var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1).join('0');
        }
        return s.join(dec);
    }

    function cargarListaUs() {
      var entregamantenimiento = <?php echo $preciocreditos->entregamantenimiento / $cotiventa; ?>;
      
      var entregaminimoveri = <?php echo $preciocreditos->entregaminimags / $cotiventa; ?>;

      //<tbody id="body-lista-us">
      var bodylistaus = document.getElementById("body-lista-us");
      bodylistaus.innerHTML = '';
      
      var camba = listauscamba.value.replace(/\./g, ""); 
      
      console.log(camba);

      var valor = parseFloat(<?php echo $preciocreditos->interes; ?>);
      var entrega = parseFloat(listausentreganueva.value.replace(/\./g, "") - Math.round(entregamantenimiento));
      var cantidadRefuerzo = parseFloat(listauscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(listausmontoRefuerzo.value.replace(/\./g, ""));
      
      
      if(entrega < Math.round(entregaminimoveri)){
          alert("LA ENTREGA NO PUEDE SER MENOR");
          return;
      }

      for (var i = 1; i <= 48 ; i++) {


        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mes1; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mes2; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mes3; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mes4; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mes5; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mes6; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mes7; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mes8; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mes9; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mes10; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mes11; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mes12; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mes13; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mes14; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mes15; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mes16; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mes17; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mes18; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mes19; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mes20; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mes21; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mes22; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mes23; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mes24; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mes25; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mes26; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mes27; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mes28; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mes29; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mes30; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mes31; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mes32; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mes33; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mes34; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mes35; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mes36; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mes37; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mes38; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mes39; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mes40; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mes41; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mes42; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mes43; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mes44; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mes45; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mes46; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mes47; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mes48; ?>;
        }

        var total = parseFloat(valor) + parseFloat(<?php echo $stock->costo; ?>);
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);

        
        var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {
    

        var tr = document.createElement("tr");
        
        if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
        || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
        ){
          if (entrega >= total / 2) {
            //tr.style.backgroundColor = "";
          } else {
            tr.style.color = "red";
          }
        } else {
          if(i > 40){
                tr.style.color = "red";
            }
        }
        
        var th = document.createElement("th");
        th.setAttribute("scope", "row");
        if((cantidadRefuerzo * montoRefuerzo) > 0){
            th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
        } else {
            th.innerHTML = i + "";
        }
        
        tr.appendChild(th);

        var td = document.createElement("td");
        td.innerHTML = number_format(saldo / i, 2, ',', '.');
        tr.appendChild(td);
        
        var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
        var td = document.createElement("td");
        td.innerHTML = number_format(montos, 2, ',', '.');
        tr.appendChild(td);
        
        var td = document.createElement("td");
        td.innerHTML = number_format(saldo, 2, ',', '.');
        tr.appendChild(td);
        
        var td = document.createElement("td");
        var ntotal = parseFloat(total) + parseFloat(camba);
        td.innerHTML = number_format(ntotal, 2, ',', '.');
        tr.appendChild(td);

        bodylistaus.appendChild(tr);}
      }
    }

  });
</script>


<script>
  document.addEventListener("DOMContentLoaded", function() {

    //lista gs
    var listagsentreganueva = document.getElementById("lista-gs-entreganueva");
    var listagscantidadRefuerzo = document.getElementById("lista-gs-cantidadRefuerzo");
    var listagsmontoRefuerzo = document.getElementById("lista-gs-montoRefuerzo");
    var listagscalcular = document.getElementById("lista-gs-calcular");
    
    var listagscamba = document.getElementById("lista-gs-camba");
    listagscamba.addEventListener('change', function() {
       cargarListaGs();
    });


    listagsentreganueva.addEventListener('change', function() {
      cargarListaGs();
    });

    listagscantidadRefuerzo.addEventListener('change', function() {
      cargarListaGs();
    });

    listagsmontoRefuerzo.addEventListener('change', function() {
      cargarListaGs();
    });

    listagscalcular.addEventListener('click', function() {
      cargarListaGs();
    });
    
    
      function number_format(number, decimals, dec_point, thousands_sep) {
        // Redondea el número a la cantidad de decimales especificada
        var n = number,
            prec = decimals;
    
        var toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return (Math.round(n * k) / k).toString();
        };
    
        n = !isFinite(+n) ? 0 : +n;
        prec = !isFinite(+prec) ? 0 : Math.abs(prec);
        var sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
        var dec = typeof dec_point === 'undefined' ? '.' : dec_point;
    
        var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1).join('0');
        }
        return s.join(dec);
    }


    function cargarListaGs() {
      var entregamantenimiento = parseFloat(<?php echo $preciocreditos->entregamantenimiento; ?>);
      
      var entregaminimoveri = parseFloat(<?php echo $preciocreditos->entregaminimags ?>);

      
      var bodylistags = document.getElementById("body-lista-gs");
      bodylistags.innerHTML = '';

      var camba = parseFloat(listagscamba.value.replace(/\./g, "")); 
       
      var valor = parseFloat(<?php echo $preciocreditos->interes * $cotiventa; ?>);
      var entrega = parseFloat(listagsentreganueva.value.replace(/\./g, "")) - entregamantenimiento;
      var cantidadRefuerzo = parseFloat(listagscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(listagsmontoRefuerzo.value.replace(/\./g, ""));
      
       if(entrega < Math.round(entregaminimoveri)){
          alert("LA ENTREGA NO PUEDE SER MENOR");
          return;
      }
      

      for (var i = 1; i <= ( (cantidadRefuerzo*montoRefuerzo) > 0 ? 48-cantidadRefuerzo : 48 ) ; i++) {

        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mes1 * $cotiventa; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mes2 * $cotiventa; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mes3 * $cotiventa; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mes4 * $cotiventa; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mes5 * $cotiventa; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mes6 * $cotiventa; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mes7 * $cotiventa; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mes8 * $cotiventa; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mes9 * $cotiventa; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mes10 * $cotiventa; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mes11 * $cotiventa; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mes12 * $cotiventa; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mes13 * $cotiventa; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mes14 * $cotiventa; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mes15 * $cotiventa; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mes16 * $cotiventa; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mes17 * $cotiventa; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mes18 * $cotiventa; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mes19 * $cotiventa; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mes20 * $cotiventa; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mes21 * $cotiventa; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mes22 * $cotiventa; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mes23 * $cotiventa; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mes24 * $cotiventa; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mes25 * $cotiventa; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mes26 * $cotiventa; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mes27 * $cotiventa; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mes28 * $cotiventa; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mes29 * $cotiventa; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mes30 * $cotiventa; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mes31 * $cotiventa; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mes32 * $cotiventa; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mes33 * $cotiventa; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mes34 * $cotiventa; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mes35 * $cotiventa; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mes36 * $cotiventa; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mes37 * $cotiventa; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mes38 * $cotiventa; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mes39 * $cotiventa; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mes40 * $cotiventa; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mes41 * $cotiventa; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mes42 * $cotiventa; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mes43 * $cotiventa; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mes44 * $cotiventa; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mes45 * $cotiventa; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mes46 * $cotiventa; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mes47 * $cotiventa; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mes48 * $cotiventa; ?>;
        }

        var total = parseFloat(valor) + parseFloat(<?php echo $stock->costo  * $cotiventa; ?>);
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);


         var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {
            
            var tr = document.createElement("tr");
            
            if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
                      || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
            ){
                if (entrega >= total / 2) {
                    //tr.style.backgroundColor = "";
                } else {
                    tr.style.color = "red";
                }
            } else {
                if(i > 40){
                    tr.style.color = "red";
                }
            }
            
            var th = document.createElement("th");
            th.setAttribute("scope", "row");
            
            if((cantidadRefuerzo * montoRefuerzo) > 0){
                 th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
            } else {
                th.innerHTML = i ;
            }
            
            tr.appendChild(th);
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo / i, 2, ',', '.');
            tr.appendChild(td);
            
            var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
            var td = document.createElement("td");
            td.innerHTML = number_format(montos, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo, 2, ',', '.');
            tr.appendChild(td);
            
            
            var td = document.createElement("td");
            var ntotal = parseFloat(total) + parseFloat(camba);
            td.innerHTML = number_format(ntotal, 2, ',', '.');
            tr.appendChild(td);
    
            bodylistags.appendChild(tr);
        }
      }
    }

  });
</script>


<script>
  document.addEventListener("DOMContentLoaded", function() {

    //lista us
    var fueralistauscantidadRefuerzo = document.getElementById("fuera-lista-us-cantidadRefuerzo");
    var fueralistausmontoRefuerzo = document.getElementById("fuera-lista-us-montoRefuerzo");
    var fueralistauscalcular = document.getElementById("fuera-lista-us-calcular");
    
    var fueralistauscamba = document.getElementById("fuera-lista-us-camba");
    fueralistauscamba.addEventListener('change', function() {
       cargarFueraListaUs();
    });


    fueralistauscantidadRefuerzo.addEventListener('change', function() {
      cargarFueraListaUs();
    });

    fueralistausmontoRefuerzo.addEventListener('change', function() {
      cargarFueraListaUs();
    });

    fueralistauscalcular.addEventListener('click', function() {
       cargarFueraListaUs();
    });
    
    
    function number_format(number, decimals, dec_point, thousands_sep) {
        // Redondea el número a la cantidad de decimales especificada
        var n = number,
            prec = decimals;
    
        var toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return (Math.round(n * k) / k).toString();
        };
    
        n = !isFinite(+n) ? 0 : +n;
        prec = !isFinite(+prec) ? 0 : Math.abs(prec);
        var sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
        var dec = typeof dec_point === 'undefined' ? '.' : dec_point;
    
        var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1).join('0');
        }
        return s.join(dec);
    }

    function cargarFueraListaUs() {
      var entregamantenimiento = parseFloat(<?php echo $preciocreditos->entregamantenimiento / $cotiventa; ?>);
      
      var entregaminimoveri = parseFloat(<?php echo round($preciocreditos->entregafuerags / $cotiventa) ?>);

      //<tbody id="body-lista-us">
      var bodylistaus = document.getElementById("body-fuera-lista-us");
      bodylistaus.innerHTML = '';
      
      var camba = parseFloat(fueralistauscamba.value.replace(/\./g, "")); 

      var valor = parseFloat(<?php echo $preciocreditos->interes; ?>);
      var entrega = entregaminimoveri;
      var cantidadRefuerzo = parseFloat(fueralistauscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(fueralistausmontoRefuerzo.value.replace(/\./g, ""));
      
      
     

      for (var i = 1; i <= 48 ; i++) {


        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mesfuera1; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mesfuera2; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mesfuera3; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mesfuera4; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mesfuera5; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mesfuera6; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mesfuera7; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mesfuera8; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mesfuera9; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mesfuera10; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mesfuera11; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mesfuera12; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mesfuera13; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mesfuera14; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mesfuera15; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mesfuera16; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mesfuera17; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mesfuera18; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mesfuera19; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mesfuera20; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mesfuera21; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mesfuera22; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mesfuera23; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mesfuera24; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mesfuera25; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mesfuera26; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mesfuera27; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mesfuera28; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mesfuera29; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mesfuera30; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mesfuera31; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mesfuera32; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mesfuera33; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mesfuera34; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mesfuera35; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mesfuera36; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mesfuera37; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mesfuera38; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mesfuera39; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mesfuera40; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mesfuera41; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mesfuera42; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mesfuera43; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mesfuera44; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mesfuera45; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mesfuera46; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mesfuera47; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mesfuera48; ?>;
        }

        var total = valor + <?php echo $stock->costo; ?>;
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);

    
        var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {
            var tr = document.createElement("tr");
            
            var th = document.createElement("th");
            th.setAttribute("scope", "row");
            if((cantidadRefuerzo * montoRefuerzo) > 0){
                 th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
            } else {
                th.innerHTML = i ;
            }
            
            tr.appendChild(th);
            
             if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
                       || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
                ){
              if (entrega >= total / 2) {
                //tr.style.backgroundColor = "";
              } else {
                tr.style.color = "red";
              }
            } else {
               if(i > 40){
                tr.style.color = "red";
                }
            }
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo / i, 2, ',', '.');
            tr.appendChild(td);
            
            var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
            var td = document.createElement("td");
            td.innerHTML = number_format(montos, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            var ntotal = parseFloat(total) + parseFloat(camba);
            td.innerHTML = number_format(ntotal, 2, ',', '.');
            tr.appendChild(td);
    
            bodylistaus.appendChild(tr);
        }
      }
    }

  });
</script>


<script>
  document.addEventListener("DOMContentLoaded", function() {

    //lista gs
    var fueralistagscantidadRefuerzo = document.getElementById("fuera-lista-gs-cantidadRefuerzo");
    var fueralistagsmontoRefuerzo = document.getElementById("fuera-lista-gs-montoRefuerzo");
    var fueralistagscalcular = document.getElementById("fuera-lista-gs-calcular");
    
    var fueralistagscamba = document.getElementById("fuera-lista-gs-camba");
    fueralistagscamba.addEventListener('change', function() {
       cargarFueraListaGs();
    });
    
    
    fueralistagscantidadRefuerzo.addEventListener('change', function() {
      cargarFueraListaGs();
    });

    fueralistagsmontoRefuerzo.addEventListener('change', function() {
      cargarFueraListaGs();
    });

    fueralistagscalcular.addEventListener('click', function() {
      cargarFueraListaGs();
    });


    function number_format(number, decimals, dec_point, thousands_sep) {
      // Redondea el número a la cantidad de decimales especificada
      var n = number,
        prec = decimals;

      var toFixedFix = function(n, prec) {
        var k = Math.pow(10, prec);
        return (Math.round(n * k) / k).toString();
      };

      n = !isFinite(+n) ? 0 : +n;
      prec = !isFinite(+prec) ? 0 : Math.abs(prec);
      var sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
      var dec = typeof dec_point === 'undefined' ? '.' : dec_point;

      var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
      if (s[0].length > 3) {
        s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
      }
      if ((s[1] || '').length < prec) {
        s[1] = s[1] || '';
        s[1] += new Array(prec - s[1].length + 1).join('0');
      }
      return s.join(dec);
    }


    function cargarFueraListaGs() {
      var entregamantenimiento = parseFloat(<?php echo $preciocreditos->entregamantenimiento; ?>);

      var entregaminimoveri = parseFloat(<?php echo $preciocreditos->entregafuerags ?>);


      var bodylistags = document.getElementById("body-fuera-lista-gs");
      bodylistags.innerHTML = '';

      var camba = parseFloat(fueralistagscamba.value.replace(/\./g, ""));
      
      var valor = parseFloat(<?php echo $preciocreditos->interes * $cotiventa; ?>);
      var entrega = entregaminimoveri;
      var cantidadRefuerzo = parseFloat(fueralistagscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(fueralistagsmontoRefuerzo.value.replace(/\./g, ""));


      for (var i = 1; i <= 48; i++) {

        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mesfuera1 * $cotiventa; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mesfuera2 * $cotiventa; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mesfuera3 * $cotiventa; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mesfuera4 * $cotiventa; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mesfuera5 * $cotiventa; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mesfuera6 * $cotiventa; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mesfuera7 * $cotiventa; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mesfuera8 * $cotiventa; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mesfuera9 * $cotiventa; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mesfuera10 * $cotiventa; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mesfuera11 * $cotiventa; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mesfuera12 * $cotiventa; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mesfuera13 * $cotiventa; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mesfuera14 * $cotiventa; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mesfuera15 * $cotiventa; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mesfuera16 * $cotiventa; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mesfuera17 * $cotiventa; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mesfuera18 * $cotiventa; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mesfuera19 * $cotiventa; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mesfuera20 * $cotiventa; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mesfuera21 * $cotiventa; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mesfuera22 * $cotiventa; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mesfuera23 * $cotiventa; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mesfuera24 * $cotiventa; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mesfuera25 * $cotiventa; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mesfuera26 * $cotiventa; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mesfuera27 * $cotiventa; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mesfuera28 * $cotiventa; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mesfuera29 * $cotiventa; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mesfuera30 * $cotiventa; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mesfuera31 * $cotiventa; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mesfuera32 * $cotiventa; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mesfuera33 * $cotiventa; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mesfuera34 * $cotiventa; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mesfuera35 * $cotiventa; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mesfuera36 * $cotiventa; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mesfuera37 * $cotiventa; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mesfuera38 * $cotiventa; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mesfuera39 * $cotiventa; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mesfuera40 * $cotiventa; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mesfuera41 * $cotiventa; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mesfuera42 * $cotiventa; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mesfuera43 * $cotiventa; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mesfuera44 * $cotiventa; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mesfuera45 * $cotiventa; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mesfuera46 * $cotiventa; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mesfuera47 * $cotiventa; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mesfuera48 * $cotiventa; ?>;
        }

        var total = valor + <?php echo $stock->costo  * $cotiventa; ?>;
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);

        var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {

            var tr = document.createElement("tr");
            
             if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
                       || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
                ){
              if (entrega >= total / 2) {
                //tr.style.backgroundColor = "";
              } else {
                tr.style.color = "red";
              }
            } else {
                if(i > 40){
                    tr.style.color = "red";
                }
            }
    
            var th = document.createElement("th");
            th.setAttribute("scope", "row");
    
            if((cantidadRefuerzo * montoRefuerzo) > 0){
                 th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
            } else {
                th.innerHTML = i ;
            }
    
            tr.appendChild(th);
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo / i, 2, ',', '.');
            tr.appendChild(td);
    
            var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
            var td = document.createElement("td");
            td.innerHTML = number_format(montos, 2, ',', '.');
            tr.appendChild(td);
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo, 2, ',', '.');
            tr.appendChild(td);
    
            var td = document.createElement("td");
            var ntotal = parseFloat(total) + parseFloat(camba);
            td.innerHTML = number_format(ntotal, 2, ',', '.');
            tr.appendChild(td);
    
            bodylistags.appendChild(tr);
         }
      }
    }

  });
</script>


<script>
  document.addEventListener("DOMContentLoaded", function() {

    //lista us
    var promolistausentreganueva = document.getElementById("promo-lista-us-entreganueva");
    var promolistauscantidadRefuerzo = document.getElementById("promo-lista-us-cantidadRefuerzo");
    var promolistausmontoRefuerzo = document.getElementById("promo-lista-us-montoRefuerzo");
    var promolistauscalcular = document.getElementById("promo-lista-us-calcular");
    var promolistauscamba = document.getElementById("promo-lista-us-camba");
    
    promolistauscamba.addEventListener('change', function() {
       cargarPromoListaUs();
    });


    promolistausentreganueva.addEventListener('change', function() {
      cargarPromoListaUs();
    });
    
    promolistauscantidadRefuerzo.addEventListener('change', function() {
      cargarPromoListaUs();
    });

    promolistausmontoRefuerzo.addEventListener('change', function() {
      cargarPromoListaUs();
    });

    promolistauscalcular.addEventListener('click', function() {
       cargarPromoListaUs();
    });
    
    
    function number_format(number, decimals, dec_point, thousands_sep) {
        // Redondea el número a la cantidad de decimales especificada
        var n = number,
            prec = decimals;
    
        var toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return (Math.round(n * k) / k).toString();
        };
    
        n = !isFinite(+n) ? 0 : +n;
        prec = !isFinite(+prec) ? 0 : Math.abs(prec);
        var sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
        var dec = typeof dec_point === 'undefined' ? '.' : dec_point;
    
        var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1).join('0');
        }
        return s.join(dec);
    }

    function cargarPromoListaUs() {
      var entregamantenimiento = parseFloat(<?php echo $preciocreditos->entregamantenimiento / $cotiventa; ?>);
      var entregaminimoveri = parseFloat(<?php echo round($preciocreditos->entregapromogs / $cotiventa) ?>);

      //<tbody id="body-lista-us">
      var bodylistaus = document.getElementById("body-promo-lista-us");
      bodylistaus.innerHTML = '';
      
      var camba = parseFloat(promolistauscamba.value.replace(/\./g, "")); 

      var valor = parseFloat(<?php echo $preciocreditos->interes; ?>);
      var entrega = parseFloat(promolistausentreganueva.value.replace(/\./g, "")) - Math.round(entregamantenimiento);
      var cantidadRefuerzo = parseFloat(promolistauscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(promolistausmontoRefuerzo.value.replace(/\./g, ""));
      
      
      console.log("Math.round(entregamantenimiento)->" + Math.round(entregamantenimiento));
      
      console.log("Math.round(entrega)->" + Math.round(entrega));
      console.log("Math.round(entregaminimoveri)->" + Math.round(entregaminimoveri));
      
       if(Math.round(entrega) < Math.round(entregaminimoveri)){
          alert("LA ENTREGA NO PUEDE SER MENOR");
          return;
      }
      
      
      for (var i = 1; i <= 48 ; i++) {

        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mespromo1; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mespromo2; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mespromo3; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mespromo4; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mespromo5; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mespromo6; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mespromo7; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mespromo8; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mespromo9; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mespromo10; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mespromo11; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mespromo12; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mespromo13; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mespromo14; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mespromo15; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mespromo16; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mespromo17; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mespromo18; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mespromo19; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mespromo20; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mespromo21; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mespromo22; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mespromo23; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mespromo24; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mespromo25; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mespromo26; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mespromo27; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mespromo28; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mespromo29; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mespromo30; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mespromo31; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mespromo32; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mespromo33; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mespromo34; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mespromo35; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mespromo36; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mespromo37; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mespromo38; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mespromo39; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mespromo40; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mespromo41; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mespromo42; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mespromo43; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mespromo44; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mespromo45; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mespromo46; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mespromo47; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mespromo48; ?>;
        }

        var total = valor + parseFloat(<?php echo $stock->costo; ?>);
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);
        
        
        var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {
        
            var tr = document.createElement("tr");
            
            var th = document.createElement("th");
            th.setAttribute("scope", "row");
            if((cantidadRefuerzo * montoRefuerzo) > 0){
                 th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
            } else {
                th.innerHTML = i ;
            }
            
            tr.appendChild(th);
            
            if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
                      || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
            ){
              if (entrega >= total / 2) {
                //tr.style.backgroundColor = "";
              } else {
                tr.style.color = "red";
              }
            } else {
                if(i > 40){
                    tr.style.color = "red";
                }
            }
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo / i, 2, ',', '.');
            tr.appendChild(td);
            
            var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
            var td = document.createElement("td");
            td.innerHTML = number_format(montos, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            var ntotal = parseFloat(total) + parseFloat(camba);
            td.innerHTML = number_format(ntotal, 2, ',', '.');
            tr.appendChild(td);
    
            bodylistaus.appendChild(tr);
        }
      }
    }

  });
</script>

<script>
  document.addEventListener("DOMContentLoaded", function() {

    //lista gs
    var promolistagsentreganueva = document.getElementById("promo-lista-gs-entreganueva");
    var promolistagscantidadRefuerzo = document.getElementById("promo-lista-gs-cantidadRefuerzo");
    var promolistagsmontoRefuerzo = document.getElementById("promo-lista-gs-montoRefuerzo");
    var promolistagscalcular = document.getElementById("promo-lista-gs-calcular");
    
    var promolistagscamba = document.getElementById("promo-lista-gs-camba");
    
    promolistagscamba.addEventListener('change', function() {
       cargarPromoListaGs();
    });



    promolistagsentreganueva.addEventListener('change', function() {
      cargarPromoListaGs();
    });
    
    promolistagscantidadRefuerzo.addEventListener('change', function() {
      cargarPromoListaGs();
    });

    promolistagsmontoRefuerzo.addEventListener('change', function() {
      cargarPromoListaGs();
    });

    promolistagscalcular.addEventListener('click', function() {
       cargarPromoListaGs();
    });
    
    
    function number_format(number, decimals, dec_point, thogsands_sep) {
        // Redondea el número a la cantidad de decimales especificada
        var n = number,
            prec = decimals;
    
        var toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return (Math.round(n * k) / k).toString();
        };
    
        n = !isFinite(+n) ? 0 : +n;
        prec = !isFinite(+prec) ? 0 : Math.abs(prec);
        var sep = typeof thogsands_sep === 'undefined' ? ',' : thogsands_sep;
        var dec = typeof dec_point === 'undefined' ? '.' : dec_point;
    
        var s = (prec ? toFixedFix(n, prec) : Math.round(n)).toString().split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1).join('0');
        }
        return s.join(dec);
    }

    function cargarPromoListaGs() {
      var entregamantenimiento = parseFloat(<?php echo $preciocreditos->entregamantenimiento ; ?>);
      
      var entregaminimoveri = parseFloat(<?php echo round($preciocreditos->entregapromogs ) ?>);

      //<tbody id="body-lista-gs">
      var bodylistags = document.getElementById("body-promo-lista-gs");
      bodylistags.innerHTML = '';

      var camba = parseFloat(promolistagscamba.value.replace(/\./g, "")); 
        
      var valor = parseFloat(<?php echo $preciocreditos->interes * $cotiventa; ?>);
      var entrega = parseFloat(promolistagsentreganueva.value.replace(/\./g, "")) - entregamantenimiento;
      var cantidadRefuerzo = parseFloat(promolistagscantidadRefuerzo.value);
      var montoRefuerzo = parseFloat(promolistagsmontoRefuerzo.value.replace(/\./g, ""));
      
      
      
      if(Math.round(entrega) < Math.round(entregaminimoveri)){
          alert("LA ENTREGA NO PUEDE SER MENOR");
          return;
      }
      
      
      for (var i = 1; i <= 48 ; i++) {

        if (i == 1) {
          valor = valor + <?php echo $preciocreditos->mespromo1 * $cotiventa; ?>;
        } else if (i == 2) {
          valor = valor + <?php echo $preciocreditos->mespromo2 * $cotiventa; ?>;
        } else if (i == 3) {
          valor = valor + <?php echo $preciocreditos->mespromo3 * $cotiventa; ?>;
        } else if (i == 4) {
          valor = valor + <?php echo $preciocreditos->mespromo4 * $cotiventa; ?>;
        } else if (i == 5) {
          valor = valor + <?php echo $preciocreditos->mespromo5 * $cotiventa; ?>;
        } else if (i == 6) {
          valor = valor + <?php echo $preciocreditos->mespromo6 * $cotiventa; ?>;
        } else if (i == 7) {
          valor = valor + <?php echo $preciocreditos->mespromo7 * $cotiventa; ?>;
        } else if (i == 8) {
          valor = valor + <?php echo $preciocreditos->mespromo8 * $cotiventa; ?>;
        } else if (i == 9) {
          valor = valor + <?php echo $preciocreditos->mespromo9 * $cotiventa; ?>;
        } else if (i == 10) {
          valor = valor + <?php echo $preciocreditos->mespromo10 * $cotiventa; ?>;
        } else if (i == 11) {
          valor = valor + <?php echo $preciocreditos->mespromo11 * $cotiventa; ?>;
        } else if (i == 12) {
          valor = valor + <?php echo $preciocreditos->mespromo12 * $cotiventa; ?>;
        } else if (i == 13) {
          valor = valor + <?php echo $preciocreditos->mespromo13 * $cotiventa; ?>;
        } else if (i == 14) {
          valor = valor + <?php echo $preciocreditos->mespromo14 * $cotiventa; ?>;
        } else if (i == 15) {
          valor = valor + <?php echo $preciocreditos->mespromo15 * $cotiventa; ?>;
        } else if (i == 16) {
          valor = valor + <?php echo $preciocreditos->mespromo16 * $cotiventa; ?>;
        } else if (i == 17) {
          valor = valor + <?php echo $preciocreditos->mespromo17 * $cotiventa; ?>;
        } else if (i == 18) {
          valor = valor + <?php echo $preciocreditos->mespromo18 * $cotiventa; ?>;
        } else if (i == 19) {
          valor = valor + <?php echo $preciocreditos->mespromo19 * $cotiventa; ?>;
        } else if (i == 20) {
          valor = valor + <?php echo $preciocreditos->mespromo20 * $cotiventa; ?>;
        } else if (i == 21) {
          valor = valor + <?php echo $preciocreditos->mespromo21 * $cotiventa; ?>;
        } else if (i == 22) {
          valor = valor + <?php echo $preciocreditos->mespromo22 * $cotiventa; ?>;
        } else if (i == 23) {
          valor = valor + <?php echo $preciocreditos->mespromo23 * $cotiventa; ?>;
        } else if (i == 24) {
          valor = valor + <?php echo $preciocreditos->mespromo24 * $cotiventa; ?>;
        } else if (i == 25) {
          valor = valor + <?php echo $preciocreditos->mespromo25 * $cotiventa; ?>;
        } else if (i == 26) {
          valor = valor + <?php echo $preciocreditos->mespromo26 * $cotiventa; ?>;
        } else if (i == 27) {
          valor = valor + <?php echo $preciocreditos->mespromo27 * $cotiventa; ?>;
        } else if (i == 28) {
          valor = valor + <?php echo $preciocreditos->mespromo28 * $cotiventa; ?>;
        } else if (i == 29) {
          valor = valor + <?php echo $preciocreditos->mespromo29 * $cotiventa; ?>;
        } else if (i == 30) {
          valor = valor + <?php echo $preciocreditos->mespromo30 * $cotiventa; ?>;
        } else if (i == 31) {
          valor = valor + <?php echo $preciocreditos->mespromo31 * $cotiventa; ?>;
        } else if (i == 32) {
          valor = valor + <?php echo $preciocreditos->mespromo32 * $cotiventa; ?>;
        } else if (i == 33) {
          valor = valor + <?php echo $preciocreditos->mespromo33 * $cotiventa; ?>;
        } else if (i == 34) {
          valor = valor + <?php echo $preciocreditos->mespromo34 * $cotiventa; ?>;
        } else if (i == 35) {
          valor = valor + <?php echo $preciocreditos->mespromo35 * $cotiventa; ?>;
        } else if (i == 36) {
          valor = valor + <?php echo $preciocreditos->mespromo36 * $cotiventa; ?>;
        } else if (i == 37) {
          valor = valor + <?php echo $preciocreditos->mespromo37 * $cotiventa; ?>;
        } else if (i == 38) {
          valor = valor + <?php echo $preciocreditos->mespromo38 * $cotiventa; ?>;
        } else if (i == 39) {
          valor = valor + <?php echo $preciocreditos->mespromo39 * $cotiventa; ?>;
        } else if (i == 40) {
          valor = valor + <?php echo $preciocreditos->mespromo40 * $cotiventa; ?>;
        } else if (i == 41) {
          valor = valor + <?php echo $preciocreditos->mespromo41 * $cotiventa; ?>;
        } else if (i == 42) {
          valor = valor + <?php echo $preciocreditos->mespromo42 * $cotiventa; ?>;
        } else if (i == 43) {
          valor = valor + <?php echo $preciocreditos->mespromo43 * $cotiventa; ?>;
        } else if (i == 44) {
          valor = valor + <?php echo $preciocreditos->mespromo44 * $cotiventa; ?>;
        } else if (i == 45) {
          valor = valor + <?php echo $preciocreditos->mespromo45 * $cotiventa; ?>;
        } else if (i == 46) {
          valor = valor + <?php echo $preciocreditos->mespromo46 * $cotiventa; ?>;
        } else if (i == 47) {
          valor = valor + <?php echo $preciocreditos->mespromo47 * $cotiventa; ?>;
        } else if (i == 48) {
          valor = valor + <?php echo $preciocreditos->mespromo48 * $cotiventa; ?>;
        }

        var total = valor + parseFloat(<?php echo $stock->costo * $cotiventa; ?>);
        var saldo = total - entrega - (cantidadRefuerzo * montoRefuerzo);

        var ve = ((cantidadRefuerzo * montoRefuerzo) > 0) ? cantidadRefuerzo : 0;
        
        if((i - ve) > 0) {
            
            var tr = document.createElement("tr");
            var th = document.createElement("th");
            th.setAttribute("scope", "row");
            if((cantidadRefuerzo * montoRefuerzo) > 0){
                 th.innerHTML = i + " : " + (i - cantidadRefuerzo) + " CT. + " + cantidadRefuerzo + " RF.";
            } else {
                th.innerHTML = i ;
            }
            
            tr.appendChild(th);
            
            
            if(i == 1 || i == 2 || i == 3 || i == 4 || i == 5 || i == 6
                       || i == 7  || i == 8 || i == 9 || i == 10 || i == 11 ||i == 12
            ){
              if (entrega >= total / 2) {
                //tr.style.backgroundColor = "";
              } else {
                tr.style.color = "red";
              }
            } else {
                if(i > 40){
                    tr.style.color = "red";
                }
            }
    
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo / i, 2, ',', '.');
            tr.appendChild(td);
            
            var montos = (cantidadRefuerzo * montoRefuerzo) > 0 ? montoRefuerzo : 0;
            var td = document.createElement("td");
            td.innerHTML = number_format(montos, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            td.innerHTML = number_format(saldo, 2, ',', '.');
            tr.appendChild(td);
            
            var td = document.createElement("td");
            var ntotal = parseFloat(total) + parseFloat(camba);
            td.innerHTML = number_format(ntotal, 2, ',', '.');
            tr.appendChild(td);
    
            bodylistags.appendChild(tr);
        }
      }
    }

  });
</script>
