

<?= $this->Html->css('bootstrap.min.css') ?>
<div class="row">
    <div class="col-md-12">
    	<div class="page-header">
    		<h4 align="center">LISTADO DE STOCK DE VEHICULOS</h4>
            <div class="table-responsive">
             <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Stocks', 'action' => 'search'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis o modelo...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
         </div>   
    	 </div>
         
    	<div class="table-responsive">
             <table class="table  table-sm">
    		<thead>
    		<tr>
                <th></th>
                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th></th>
    		</tr>
    		</thead>
    		<tbody>
    		<?php foreach ($stocks as $stock): ?>
    		<tr>


               <td> <?php echo $this->Html->image('/img/chasis/20.jpg', array('width' => 75, 'height' => 75)); ?></td>
                
                 

                <td><?= h($stock->modelo) ?></td>
                <td><?= h($stock->ano) ?></td>
                <td><?= h($stock->color) ?></td>
                <td><?= h($stock->chasis) ?></td>
                <td>
                    <?= $this->Html->link('VER', ['action' => 'view', $stock->id], ['class' => 'btn btn-sm btn-info']) ?>
                </td>
    		</tr>
    	<?php endforeach; ?>
    		</tbody>
    		</table>
    	</div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
