<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\TipoTrabajo $tipoTrabajo
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Tipo Trabajo'), ['action' => 'edit', $tipoTrabajo->tip_id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Tipo Trabajo'), ['action' => 'delete', $tipoTrabajo->tip_id], ['confirm' => __('Are you sure you want to delete # {0}?', $tipoTrabajo->tip_id)]) ?> </li>
        <li><?= $this->Html->link(__('List Tipo Trabajo'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Tipo Trabajo'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="tipoTrabajo view large-9 medium-8 columns content">
    <h3><?= h($tipoTrabajo->tip_id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Tip Nombre') ?></th>
            <td><?= h($tipoTrabajo->tip_nombre) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tip Id') ?></th>
            <td><?= $this->Number->format($tipoTrabajo->tip_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tip Precio') ?></th>
            <td><?= $this->Number->format($tipoTrabajo->tip_precio) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tip Borrado') ?></th>
            <td><?= $this->Number->format($tipoTrabajo->tip_borrado) ?></td>
        </tr>
    </table>
</div>
