<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Trabajador $trabajador
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $trabajador->tra_id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $trabajador->tra_id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Trabajadors'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="trabajadors form large-9 medium-8 columns content">
    <?= $this->Form->create($trabajador) ?>
    <fieldset>
        <legend><?= __('Edit Trabajador') ?></legend>
        <?php
            echo $this->Form->control('tra_nombre');
            echo $this->Form->control('tra_observacion');
            echo $this->Form->control('tra_moneda');
            echo $this->Form->control('tra_monto');
            echo $this->Form->control('tra_borrado');
            echo $this->Form->control('tra_ocupacion');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
