<?php 
    function isMobile() {   
        if(preg_match('/(alcatel|amoi|Android|avantgo|blackberry|benq|cell|cricket|docomo|elaine|htc|iemobile|iphone|ipad|ipaq|iPod|j2me|Java|midp|mini|mmp|mobi|Motorola|nec-|nokia|Palm|panasonic|philips|phone|sagem|sharp|sie-|smartphone|sony|symbian|t-mobile|telus|up\.browser|up\.link|vodafone|wap|webos|wireless|xda|xoom|zte)/i', $_SERVER['HTTP_USER_AGENT'])) {
            return true;
        } else {
            return false;
        }
    }
?>

<?php if(isMobile()) { ?>

<div class="col">
    
    <div class="col">
        <div class="page-header">
            <h4><center>LISTADO DE TRABAJOS A REALIZAR</center></h4>
           
           <div class="table-responsive">
                <?php echo $this->Form->create('Trabajosrealizars', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array( 'action' => 'index'))); ?>  
                <?php echo $this->Form->input('search', array('label' => false, 'value'=>$search, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Ingrese Chasis o Nombre del trabajador o Encargado...')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
            </div>
            
        </div>
    </div>
    
    
        <div class="table-responsive text-nowrap">
            <table class="table table-striped">
                <thead>
                    <tr>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($Trabajosarealizars as $ortrabajo): ?>
                    <tr>
                        <td>
                           <b> Fecha carga de trabajo: </b> <?= h($ortrabajo->fecha) ?> <br>
                           <b> Usuario carga: </b> <?= h($ortrabajo->usuariocarga) ?><br>
                           <b> Chasis: </b> <?= h($ortrabajo->chasis) ?><br>
                           <b> Detalle chasis: </b> <?= h($ortrabajo->detallechasis) ?><br>
                            
                           <b> Prioridad: </b> <?php 
                            if($ortrabajo->prioridad ==1) { ?> 
                                <span style="color:#135408">BAJA</span> <?php ; }  
                            if($ortrabajo->prioridad ==2) { ?> 
                                <span style="color:#817A0B">MEDIA</span> <?php ; }
                            if($ortrabajo->prioridad ==3) {?> 
                                <span style="color:#CA3211">ALTA</span> <?php ; } ?>
                                <br>
                                
                            <b> Responsable: </b> <?= h($ortrabajo->responsable) ?><br>
                            <b> Responsable: </b> <?= h($ortrabajo->encargado) ?><br>
                            <b> Trabajo: </b> <?= h($ortrabajo->detalle) ?><br>
                            <b> Tipo trabajo: </b><?= h($ortrabajo->tipo) ?><br>
                            <b> Vencimiento del trabajo: </b><?= h($ortrabajo->vencimiento) ?><br>
                            <b> Estado: </b> <?php if($ortrabajo->estado_responsable ==0) { echo 'PENDIENTE';  }ELSE { echo 'TERMINADO'; }  ?><br>
                            
                            <center> 
                            <?php if($ortrabajo->estado_responsable ==0) { ?>
                               
                                    <?= $this->Form->postLink('FINALIZADO', ['action' => 'finalizar', $ortrabajo->id], ['confirm' => 'Desea finalizar orden de trabajo ?', 'class' => 'btn btn-sm btn-info']) ?>
                                
                                
                            <?php } ?>
                            <?= $this->Html->link(__('Editar comision'), ['action' => 'comision', $ortrabajo->id], ['class' => 'btn btn-sm btn-primary']) ?>
                  
                            </center>
                            
                             
                    
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
</div>

<?php } else { ?>

<div>
    <div class="col">
        <div class="page-header">
            <h4><center>LISTADO DE TRABAJOS A REALIZAR</center></h4>
            <div class="table-responsive">
                <?php echo $this->Form->create('Trabajosrealizars', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array( 'action' => 'index'))); ?>  
                <?php echo $this->Form->input('search', array('label' => false,  'value'=>$search, 'placeholder' => 'Ingrese Chasis o Nombre del trabajador o Encargado...')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
            </div>
        </div>
    </div>
    
                        
    <div class="table-responsive">
        <table class="table table-striped table-hover">
        <thead>
        <tr> 
            <th ><?= $this->Paginator->sort('fecha' , ['Fecha de carga']) ?></th>
            <th ><?= $this->Paginator->sort('usuariocarga', ['Carga']) ?></th>
            <th ><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
            <th ><?= $this->Paginator->sort('detallechasis', ['Detalle chasis']) ?></th>
            <th ><?= $this->Paginator->sort('prioridad', ['Prioridad']) ?></th>
            <th ><?= $this->Paginator->sort('responsable', ['Responsable']) ?></th>
            <th ><?= $this->Paginator->sort('encargado', ['Encargado']) ?></th>
            <th ><?= $this->Paginator->sort('detalle', ['Detalle']) ?></th>
            <th ><?= $this->Paginator->sort('tipo', ['Tipo']) ?></th>
            <th ><?= $this->Paginator->sort('vencimiento' ,['Vencimiento']) ?></th>
            <th ><?= $this->Paginator->sort('estado_responsable' ,['Estado']) ?></th>
             <th ><?= $this->Paginator->sort('comisiontrabajo' ,['Comision trabajo']) ?></th>
            
            <th>Acciones</th>
        </tr>
        </thead>
        
        <tbody>
            <?php foreach ($Trabajosarealizars as $ortrabajo): ?>
            <tr>
                
                
                <td><?= h($ortrabajo->fecha) ?></td>
                <td><?= h($ortrabajo->usuariocarga) ?></td>
                <td><?= h($ortrabajo->chasis) ?></td>
                <td><?= h($ortrabajo->detallechasis) ?></td>
                <td>
                <?php 
                if($ortrabajo->prioridad ==1) { ?> 
                    <span style="color:#135408">BAJA</span> <?php ; }  
                if($ortrabajo->prioridad ==2) { ?> 
                    <span style="color:#817A0B">MEDIA</span> <?php ; }
                if($ortrabajo->prioridad ==3) {?> 
                    <span style="color:#CA3211">ALTA</span> <?php ; } ?>
                    
                </td>
                <td><?= h($ortrabajo->responsable) ?></td>
                <td><?= h($ortrabajo->encargado) ?></td>
                <td><?= h($ortrabajo->detalle) ?></td>
                <td><?= h($ortrabajo->tipo) ?></td>
                <td><?= h($ortrabajo->vencimiento) ?></td>
                <td><?php if($ortrabajo->estado_responsable ==0) { echo 'PENDIENTE';  }ELSE { echo 'TERMINADO'; }  ?></td>
                
                <td><?= h($ortrabajo->comisiontrabajo) ?></td>
                
                <td><?php if($ortrabajo->estado_responsable ==0) { ?>
                    <?= $this->Form->postLink('FINALIZADO', ['action' => 'finalizar', $ortrabajo->id], ['confirm' => 'Desea finalizar orden de trabajo ?', 'class' => 'btn btn-sm btn-info']) ?>
                    <?php } ?>
                    
                    <?= $this->Html->link(__('Editar comision'), ['action' => 'comision', $ortrabajo->id], ['class' => 'btn btn-sm btn-primary']) ?>
                    
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
        </table>
    </div>
    
     <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    
</div>
<?php } ?>


