<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Vehiculoprecio $vehiculoprecio
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $vehiculoprecio->vpr_id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $vehiculoprecio->vpr_id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Vehiculoprecio'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="vehiculoprecio form large-9 medium-8 columns content">
    <?= $this->Form->create($vehiculoprecio) ?>
    <fieldset>
        <legend><?= __('Edit Vehiculoprecio') ?></legend>
        <?php
            echo $this->Form->control('vpr_marcaid');
            echo $this->Form->control('vpr_modelo');
            echo $this->Form->control('vpr_ano');
            echo $this->Form->control('vpr_compra');
            echo $this->Form->control('vpr_contado');
            echo $this->Form->control('vpr_3meses');
            echo $this->Form->control('vpr_credito');
            echo $this->Form->control('vpr_entrega');
            echo $this->Form->control('vpr_12meses');
            echo $this->Form->control('vpr_18meses');
            echo $this->Form->control('vpr_24meses');
            echo $this->Form->control('vpr_30meses');
            echo $this->Form->control('vpr_planzafra');
            echo $this->Form->control('vpr_borrado');
            echo $this->Form->control('vpr_usuario');
            echo $this->Form->control('vpr_pc');
            echo $this->Form->control('vpr_deposito');
            echo $this->Form->control('vpr_cilindrada');
            echo $this->Form->control('vpr_contadorecimp');
            echo $this->Form->control('vpr_contado3mesesrecimp');
            echo $this->Form->control('vpr_gerente1recimp');
            echo $this->Form->control('vpr_gerente2recimp');
            echo $this->Form->control('vpr_gerente3recimp');
            echo $this->Form->control('vpr_contadorecuperado');
            echo $this->Form->control('vpr_contado3mesesrecuperado');
            echo $this->Form->control('vpr_gerente1recuperado');
            echo $this->Form->control('vpr_gerente2recuperado');
            echo $this->Form->control('vpr_gerente3recuperado');
            echo $this->Form->control('vpr_contadousado');
            echo $this->Form->control('vpr_contado3mesesusado');
            echo $this->Form->control('vpr_gerente1usado');
            echo $this->Form->control('vpr_gerente2usado');
            echo $this->Form->control('vpr_gerente3usado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
