<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Asignarcv Entity
 *
 * @property int $id
 * @property string $fecha
 * @property string $chasis
 * @property int $marca_id
 * @property string $marca
 * @property int $modelo_id
 * @property string $modelo
 * @property int $ano_id
 * @property string $ano
 * @property int $color_id
 * @property string $color
 * @property int $tipo_id
 * @property string $tipo
 * @property int $procedencia_id
 * @property string $procedencia
 * @property int $importador_id
 * @property string $importador
 * @property string $obs
 * @property int $proveedor_id
 * @property string $proveedor
 * @property string $comprobante
 * @property int $estado
 * @property int $choferid
 * @property string $chofer
 */
class Asignarcv extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id' => true,
        'fecha' => true,
        'chasis' => true,
        'marca_id' => true,
        'marca' => true,
        'modelo_id' => true,
        'modelo' => true,
        'ano_id' => true,
        'ano' => true,
        'color_id' => true,
        'color' => true,
        'tipo_id' => true,
        'tipo' => true,
        'procedencia_id' => true,
        'procedencia' => true,
        'importador_id' => true,
        'importador' => true,
        'obs' => true,
        'proveedor_id' => true,
        'proveedor' => true,
        'comprobante' => true,
        'estado' => true,
        'choferid' => true,
        'chofer' => true,
    ];
}
