<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * CambioVolante Entity
 *
 * @property int $id
 * @property string $nombre
 * @property float $pago
 * @property string $fecha
 * @property string $chasis
 * @property string $modelo
 * @property string $color
 * @property int $cancelado
 * @property float $adelanto
 * @property int $borrado
 * @property string $fechacarga
 * @property int $usuariocarga
 * @property string $fechamodificado
 * @property int $usuarioelimina
 */
class CambioVolante extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'nombre' => true,
        'pago' => true,
        'fecha' => true,
        'chasis' => true,
        'modelo' => true,
        'color' => true,
        'cancelado' => true,
        'adelanto' => true,
        'borrado' => true,
        'fechacarga' => true,
        'usuariocarga' => true,
        'fechamodificado' => true,
        'usuarioelimina' => true
    ];
}
