<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * FeriaUsado Entity
 *
 * @property int $id
 * @property string $chassis
 * @property string $modelo
 * @property string $año
 * @property string $color
 * @property string $chapa
 * @property float $antes
 * @property float $ahora
 */
class FeriaUsado extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'chassis' => true,
        'modelo' => true,
        'año' => true,
        'color' => true,
        'chapa' => true,
        'antes' => true,
        'ahora' => true
    ];
}
