<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Gasto Entity
 *
 * @property int $id
 * @property string $fecha
 * @property string $fechacarga
 * @property float $monto
 * @property string $motivo
 * @property int $moneda
 * @property int $borrado
 * @property int $usuario
 * @property string $caja
 * @property int $cierre
 * @property string $numfactura
 * @property int $tipgasto
 * @property int $deposito
 * @property \Cake\I18n\FrozenTime $fechasct
 * @property int $usuariosct
 * @property string $maquinasct
 * @property int $nrocierre
 * @property int $cierrecajagennro
 * @property float $valor
 * @property int $codigoadelanto
 * @property int $codigoliquidacion
 * @property int $ingresoencaja
 * @property int $tipo_adelanto
 * @property float $adelanto_monto
 * @property float $deuda_monto
 * @property int $funcionario
 *
 */
class Gasto extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true
    ];
}
