<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Venta Entity
 *
 * @property int $id
 * @property string $fecha
 * @property string $cedula
 * @property string $cliente
 * @property string $chasis
 * @property string $detalle
 * @property string $moneda
 * @property float $total
 * @property float $entregaminima
 * @property float $entregado
 * @property string $vendedor
 * @property string $formadepago
 * @property int $cantidadcuota
 * @property float $saldo
 * @property float $comisionguaranies
 * @property float $comisiondolares
 * @property string $monedacomision
 * @property int $vendedors
 * @property int $tercero
 */
class Venta extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id' => true,
        'fecha' => true,
        'cedula' => true,
        'cliente' => true,
        'chasis' => true,
        'detalle' => true,
        'moneda' => true,
        'total' => true,
        'entregaminima' => true,
        'entregado' => true,
        'vendedor' => true,
        'formadepago' => true,
        'cantidadcuota' => true,
        'saldo' => true,
        'comisionguaranies' => true,
        'comisiondolares' => true,
        'monedacomision' => true,
        'vendedors' => true,
        'tercero' => true
    ];
}
