<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Editar Adelanto'), ['action' => 'edit', $adelanto->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Borrar Adelanto'), ['action' => 'delete', $adelanto->id], ['confirm' => __('Desea borrar registro # {0}?', $adelanto->id)]) ?> </li>
        <li><?= $this->Html->link(__('Listado Adelantos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('Nuevo Adelanto'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="adelantos view large-9 medium-8 columns content">
    <h3><?= h($adelanto->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($adelanto->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Detalle') ?></th>
            <td><?= h($adelanto->detalle) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Moneda') ?></th>
            <td><?= h($adelanto->moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($adelanto->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Empleado') ?></th>
            <td><?= $this->Number->format($adelanto->empleado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Monto') ?></th>
            <td><?= $this->Number->format($adelanto->monto) ?></td>
        </tr>
    </table>
</div>
