<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>LISTADO DE CHAPERIAS </h2>
        </div>
        <div class="container">
            <div class="row col-xs-12">
                <?php echo $this->Form->create('Chaperias', array('type' => 'GET', 'url' => array('controller' => 'Chaperias', 'action' => 'index'))); ?>
                <?php echo $this->Form->control('searchcargados', array('label' => false, 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-sm btn-block')); ?>  
                <?php echo $this->Form->end(); ?>
            </div>
        </div>

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('empleado', ['label' => 'Funcionario']) ?></th>
               
           </tr>
           </thead>
           <tbody>
            <?php foreach ($chaperias as $chaperia): ?>
            <tr>
                <td><?= $this->Number->format($chaperia->id) ?></td>
                <td><?= h($chaperia->fecha) ?></td>
                <td><?= h($chaperia->chasis) ?></td>
                <td><?= $chaperia->funcionariochaperium->nombre ?></td>
                <td><?= $this->Html->link('Ver', ['action' => 'view', $chaperia->id], ['class' => 'btn btn-sm btn-primary']) ?></td>


            </tr>
           </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>