<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Funcionariocv $funcionariocv
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Funcionariocv'), ['action' => 'edit', $funcionariocv->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Funcionariocv'), ['action' => 'delete', $funcionariocv->id], ['confirm' => __('Are you sure you want to delete # {0}?', $funcionariocv->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Funcionariocvs'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Funcionariocv'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="funcionariocvs view large-9 medium-8 columns content">
    <h3><?= h($funcionariocv->nombre) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Nombre') ?></th>
            <td><?= h($funcionariocv->nombre) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($funcionariocv->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($funcionariocv->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Borrado') ?></th>
            <td><?= $this->Number->format($funcionariocv->borrado) ?></td>
        </tr>
    </table>
</div>
