<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp[]|\Cake\Collection\CollectionInterface $imagenapps
 */
?>


<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>Fotos cargadas</h2>
        </div>
        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('chasis') ?></th>
                <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
           <?php foreach ($imagenapps as $imagenapp): ?>
            <tr>
                <td><?= h($imagenapp->chasis) ?></td>
                <td>
                    <?= $this->Html->link('Ver foto', ['action' => 'add2', $imagenapp->chasis], ['class' => 'btn btn-sm btn-info']) ?>
                </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
