<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventariosUsado[]|\Cake\Collection\CollectionInterface $inventariosUsados
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Inventarios Usado'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="inventariosUsados index large-9 medium-8 columns content">
    <h3><?= __('Inventarios Usados') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuario') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modelo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('marca') ?></th>
                <th scope="col"><?= $this->Paginator->sort('color') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('motorsopla') ?></th>
                <th scope="col"><?= $this->Paginator->sort('accesorios') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cajafuncionabien') ?></th>
                <th scope="col"><?= $this->Paginator->sort('direccionhidraulica') ?></th>
                <th scope="col"><?= $this->Paginator->sort('aire') ?></th>
                <th scope="col"><?= $this->Paginator->sort('radio') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cajadesonido') ?></th>
                <th scope="col"><?= $this->Paginator->sort('parabrisaroto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('farodelanteroderecho') ?></th>
                <th scope="col"><?= $this->Paginator->sort('farodelanteroizq') ?></th>
                <th scope="col"><?= $this->Paginator->sort('farotraseroderecho') ?></th>
                <th scope="col"><?= $this->Paginator->sort('farotraseroizq') ?></th>
                <th scope="col"><?= $this->Paginator->sort('llantadeportiva') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tablerolindo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estadovehiculo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('gato') ?></th>
                <th scope="col"><?= $this->Paginator->sort('auxilio') ?></th>
                <th scope="col"><?= $this->Paginator->sort('titulo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('contratos') ?></th>
                <th scope="col"><?= $this->Paginator->sort('frente') ?></th>
                <th scope="col"><?= $this->Paginator->sort('guardabarrodelanteroderecho') ?></th>
                <th scope="col"><?= $this->Paginator->sort('puertadelanteraderecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('puertatraseraderecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('guardabarrotrasero') ?></th>
                <th scope="col"><?= $this->Paginator->sort('partetrasera') ?></th>
                <th scope="col"><?= $this->Paginator->sort('guardabarrotraseroizq') ?></th>
                <th scope="col"><?= $this->Paginator->sort('puertatraseraizq') ?></th>
                <th scope="col"><?= $this->Paginator->sort('puertadelantaraizq') ?></th>
                <th scope="col"><?= $this->Paginator->sort('guardabarrodelanteroizq') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($inventariosUsados as $inventariosUsado): ?>
            <tr>
                <td><?= $this->Number->format($inventariosUsado->id) ?></td>
                <td><?= h($inventariosUsado->fecha) ?></td>
                <td><?= $this->Number->format($inventariosUsado->usuario) ?></td>
                <td><?= h($inventariosUsado->modelo) ?></td>
                <td><?= h($inventariosUsado->marca) ?></td>
                <td><?= h($inventariosUsado->color) ?></td>
                <td><?= h($inventariosUsado->chasis) ?></td>
                <td><?= $this->Number->format($inventariosUsado->motorsopla) ?></td>
                <td><?= $this->Number->format($inventariosUsado->accesorios) ?></td>
                <td><?= $this->Number->format($inventariosUsado->cajafuncionabien) ?></td>
                <td><?= $this->Number->format($inventariosUsado->direccionhidraulica) ?></td>
                <td><?= $this->Number->format($inventariosUsado->aire) ?></td>
                <td><?= $this->Number->format($inventariosUsado->radio) ?></td>
                <td><?= $this->Number->format($inventariosUsado->cajadesonido) ?></td>
                <td><?= $this->Number->format($inventariosUsado->parabrisaroto) ?></td>
                <td><?= $this->Number->format($inventariosUsado->farodelanteroderecho) ?></td>
                <td><?= $this->Number->format($inventariosUsado->farodelanteroizq) ?></td>
                <td><?= $this->Number->format($inventariosUsado->farotraseroderecho) ?></td>
                <td><?= $this->Number->format($inventariosUsado->farotraseroizq) ?></td>
                <td><?= $this->Number->format($inventariosUsado->llantadeportiva) ?></td>
                <td><?= $this->Number->format($inventariosUsado->tablerolindo) ?></td>
                <td><?= $this->Number->format($inventariosUsado->estadovehiculo) ?></td>
                <td><?= $this->Number->format($inventariosUsado->gato) ?></td>
                <td><?= $this->Number->format($inventariosUsado->auxilio) ?></td>
                <td><?= $this->Number->format($inventariosUsado->titulo) ?></td>
                <td><?= $this->Number->format($inventariosUsado->contratos) ?></td>
                <td><?= $this->Number->format($inventariosUsado->frente) ?></td>
                <td><?= $this->Number->format($inventariosUsado->guardabarrodelanteroderecho) ?></td>
                <td><?= $this->Number->format($inventariosUsado->puertadelanteraderecha) ?></td>
                <td><?= $this->Number->format($inventariosUsado->puertatraseraderecha) ?></td>
                <td><?= $this->Number->format($inventariosUsado->guardabarrotrasero) ?></td>
                <td><?= $this->Number->format($inventariosUsado->partetrasera) ?></td>
                <td><?= $this->Number->format($inventariosUsado->guardabarrotraseroizq) ?></td>
                <td><?= $this->Number->format($inventariosUsado->puertatraseraizq) ?></td>
                <td><?= $this->Number->format($inventariosUsado->puertadelantaraizq) ?></td>
                <td><?= $this->Number->format($inventariosUsado->guardabarrodelanteroizq) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $inventariosUsado->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $inventariosUsado->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $inventariosUsado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inventariosUsado->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
