<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>LISTADO DE TRABAJOS A REALIZAR</h2>
        </div>

       

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('responsable', ['Responsable']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('detalle', ['Detalle']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('prioridad', ['Prioridad']) ?></th>
                <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($listadoordentrabajos as $trabajo): ?>
            <tr>

                <td><?= h($trabajo->fecha) ?></td>
                <td><?= h($trabajo->responsable) ?></td>
               <td><?= h($trabajo->chasis) ?></td>
               <td><?= h($trabajo->detalle) ?></td>
                
               <td><?php 
                    if($trabajo->prioridad ==1) { ?> 
                        <span style="color:#135408">BAJA</span> <?php ; }  
                    if($trabajo->prioridad ==2) { ?> 
                        <span style="color:#817A0B">MEDIA</span> <?php ; }
                    if($trabajo->prioridad ==3) {?> 
                        <span style="color:#CA3211">ALTA</span> <?php ; } ?></td>
                        
                <td class="actions">
                    <?= $this->Html->link('Ver', ['action' => 'view', $trabajo->id], ['class' => 'btn btn-sm btn-info']) ?>
                 </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>




