<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Marzoventa $marzoventa
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('List Marzoventas'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="marzoventas form large-9 medium-8 columns content">
    <?= $this->Form->create($marzoventa) ?>
    <fieldset>
        <legend><?= __('Add Marzoventa') ?></legend>
        <?php
            echo $this->Form->control('empresa');
            echo $this->Form->control('cli_tel');
            echo $this->Form->control('detalle');
            echo $this->Form->control('ven_tipo');
            echo $this->Form->control('ven_nro');
            echo $this->Form->control('ven_moneda');
            echo $this->Form->control('cliente');
            echo $this->Form->control('ci');
            echo $this->Form->control('factura');
            echo $this->Form->control('chasis');
            echo $this->Form->control('pro_detallelargo');
            echo $this->Form->control('ve_moneda');
            echo $this->Form->control('compra');
            echo $this->Form->control('venta');
            echo $this->Form->control('entrega');
            echo $this->Form->control('saldo');
            echo $this->Form->control('chasisvehiculo');
            echo $this->Form->control('fecha');
            echo $this->Form->control('vendedor');
            echo $this->Form->control('estadocomision');
            echo $this->Form->control('monedacomision');
            echo $this->Form->control('montoguaranies');
            echo $this->Form->control('montocomisiondolares');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
