<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>
<?php $esgerente = ($_SESSION['Auth']['User']['gerente']); ?>
<?php if ($esgerente == 1) : ?>
    <div class="row">
        <div class="col-md-12">
            <div class="page-header">
                <h4 align="center">PROPUESTAS GENERADAS</h4>
                <div class="table-responsive">
                    <?php echo $this->Form->create('Propuestasgeneradas', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Propuestasgeneradas', 'action' => 'index'))); ?>
                    <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chasis, marca, modelo ...')); ?>
                    <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
                    <?php echo $this->Form->end(); ?>
                </div>
            </div>
            <?php
            if ($isMobile and $current_user['tipovista'] == 1) : ?>
                <div class="table-responsive">
                    <table class="table table-sm">
                        <thead>
                            <tr>
                                <th><?= $this->Paginator->sort('id', ['Id']) ?><br>
                                    <?= $this->Paginator->sort('fechahora', ['Fecha']) ?><br>
                                    <?= $this->Paginator->sort('chasis', ['Chasis']) ?><br>
                                    <?= $this->Paginator->sort('marca', ['Marca']) ?><br>
                                    <?= $this->Paginator->sort('modelo', ['anio']) ?><br>
                                    <?= $this->Paginator->sort('usuario', ['Vendedor']) ?>
                                    <br>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($propuestasgeneradas as $item) : ?>
                                <tr>
                                    <td><?= h($item->id) ?><br>
                                        <?= h($item->fecha) ?><br>
                                        <?= h($item->chasis) ?><br>
                                        <?= h($item->marca) ?><br>
                                        <?= h($item->modelo) ?><br>
                                        <?= h($item->usuario) ?><br>
                                    </td>
                                    <td>
                                        <?= $this->Html->link('Ver Propuesta', ['controller' => 'Propuestasgeneradas', 'action' => 'view', $item->id], ['class' => 'btn btn-sm btn-info']) ?>
                                    </td>

                                    <td>
                                        <?= $this->Html->link('Ver Vehiculo', ['controller' => 'Stocks', 'action' => 'view', $item->idvehiculo], ['class' => 'btn btn-sm btn-info']) ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>

                <div class="paginator">
                    <ul class="pagination">
                        <?= $this->Paginator->prev('< Anterior') ?>
                        <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                        <?= $this->Paginator->next('Siguiente >') ?>
                    </ul>
                    <p><?= $this->Paginator->counter() ?></p>
                </div>
            <?php else : ?>
                <div class="table-responsive">
                    <table class="table table-sm">
                        <thead>
                            <tr>
                                <th><?= $this->Paginator->sort('id', ['Id']) ?></th>
                                <th><?= $this->Paginator->sort('fechahora', ['Fecha']) ?></th>
                                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                                <th><?= $this->Paginator->sort('marca', ['Marca']) ?></th>
                                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                                <th><?= $this->Paginator->sort('usuario', ['Vendedor']) ?></th>
                                <th>Opción</th>
                                <th>Opción</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($propuestasgeneradas as $item) : ?>
                                <tr>
                                    <td><?= h($item->id) ?></td>
                                    <td><?= ($item->fecha) ?></td>
                                    <td><?= h($item->chasis) ?></td>
                                    <td><?= h($item->marca) ?></td>
                                    <td><?= h($item->modelo) ?></td>
                                    <td><?= h($item->usuario) ?></td>
                                    <td><?= $this->Html->link('Ver Propuesta', ['controller' => 'Propuestasgeneradas', 'action' => 'view', $item->id], ['class' => 'btn btn-sm btn-info']) ?></td>
                                    <td><?= $this->Html->link('Ver Vehiculo', ['controller' => 'Stocks', 'action' => 'view', $item->idvehiculo], ['class' => 'btn btn-sm btn-info']) ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>

                <div class="paginator">
                    <ul class="pagination">
                        <?= $this->Paginator->prev('< Anterior') ?>
                        <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                        <?= $this->Paginator->next('Siguiente >') ?>
                    </ul>
                    <p><?= $this->Paginator->counter() ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php endif; ?>