<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\PruebaImagen[]|\Cake\Collection\CollectionInterface $pruebaImagens
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('NUEVA IMAGEN'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="pruebaImagens index large-9 medium-8 columns content">
    <h3><?= __('LISTADO') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                
                <th scope="col"><?= $this->Paginator->sort('referencia') ?></th>
            
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($pruebaImagens as $pruebaImagen): ?>
            <tr>
                
                <td><?= h($pruebaImagen->referencia) ?></td>
                
                <td class="actions">
                    <?= $this->Html->link(__('VER'), ['action' => 'view', $pruebaImagen->referencia]) ?>
                    <?= $this->Html->link(__('AGREGAR'), ['action' => 'agregar', $pruebaImagen->referencia]) ?>
                   
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
