<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Prueba'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="pruebas index large-9 medium-8 columns content">
   <div class="row">
        <?php echo $this->Form->create('Pruebas', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'pruebas', 'action' => 'search'))); ?>
          <div class="form-group">
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Buscar pruebas...')); ?>
          </div>
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
          <?php echo $this->Form->end(); ?>
          
         
    </div>
  
    <h3><?= __('Pruebas') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('detalle') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
          <?php if (!empty($pruebas)): ?>
       
            <?php foreach ($pruebas as $prueba): ?>
            <tr>
                <td><?= $this->Number->format($prueba->id) ?></td>
                <td><?= h($prueba->detalle) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $prueba->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $prueba->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $prueba->id], ['confirm' => __('Are you sure you want to delete # {0}?', $prueba->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
          <?php endif; ?>
        </tbody>
    </table>

</div>