<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Respuesta $respuesta
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Respuesta'), ['action' => 'edit', $respuesta->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Respuesta'), ['action' => 'delete', $respuesta->id], ['confirm' => __('Are you sure you want to delete # {0}?', $respuesta->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Respuestas'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Respuesta'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="respuestas view large-9 medium-8 columns content">
    <h3><?= h($respuesta->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Respuesta') ?></th>
            <td><?= h($respuesta->respuesta) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Nombreusuario') ?></th>
            <td><?= h($respuesta->nombreusuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($respuesta->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Hora') ?></th>
            <td><?= h($respuesta->hora) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($respuesta->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Idpropuesta') ?></th>
            <td><?= $this->Number->format($respuesta->idpropuesta) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($respuesta->usuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tipo') ?></th>
            <td><?= $this->Number->format($respuesta->tipo) ?></td>
        </tr>
    </table>
</div>
