<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>VENTAS</h2>
        </div>
      <div class="table-responsive text-nowrap">
            <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('condicion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('total', ['label' => 'Total venta']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('entrega', ['label' => 'Propuesta cliente']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('saldo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ci') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('totalbono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vendedor') ?></th>
                
              
            </tr>
            </thead>
            <tbody>
            <?php foreach ($simuladorVentas as $simuladorVenta): ?>
            <tr>
            <?= '<b>'. 'Código: ' .'</b>' . $simuladorVenta->id . '<br>' ?>
                <td><?= h($simuladorVenta->fecha) ?></td>
                <td><?= h($simuladorVenta->chasis) ?></td>
                <?php if($simuladorVenta->condicion == 1) { ?>
                    <td><?= 'CONTADO' ?></td>
                 <?php } else { ?>
                    <td><?= 'CREDITO' ?></td>
                 <?php } ?>

                <?php if($simuladorVenta->moneda == 1) { ?>
                    <td><?= 'DOLARES' ?></td>
                 <?php } else { ?>
                    <td><?= 'GUARANIES' ?></td>
                 <?php } ?>
                 <td><?= $this->Number->format($simuladorVenta->meses) ?></td>

                <?php if($simuladorVenta->moneda == 1) { ?>
                   <td><?= $this->Number->format(($simuladorVenta->stock->contado - $simuladorVenta->totalbono)) ?></td>
                 <?php } else { ?>
                    <td><?= $this->Number->format(($simuladorVenta->stock->contado - $simuladorVenta->totalbono) * $cotiventa) ?></td>
                 <?php } ?>

                <td><?= $this->Number->format($simuladorVenta->entrega) ?></td>
                <td><?= $this->Number->format($simuladorVenta->saldo) ?></td>
               
                <td><?= h($simuladorVenta->ci) ?></td>
                <td><?= h($simuladorVenta->telefono) ?></td>
                <td><?= $this->Number->format($simuladorVenta->totalbono) ?></td>
                <td><?= h($simuladorVenta->empleado->nombre) . ' ' . h($simuladorVenta->empleado->apellido) ?></td>

                
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>







